$(function(){
	mui.plusReady(function() {
        var mainActivity = plus.android.runtimeMainActivity();
        var Toast = plus.android.importClass("android.widget.Toast");
        var UserManager = plus.android.importClass("com.pocketmacao.manager.UserManager");
        var token = UserManager.getToken();
		localStorage.setItem("token",token)
		mui.back = function() {
            plus.runtime.quit();
         }
    })

	var token = localStorage.getItem("token",token)
	//显示删除按钮
	$("input").keyup(function(){
		if($(this).val().length>0){
			$(this).parent().find(".delete").show()
			$(".delete").on("tap",function(){
				$(this).hide()
				$(this).parent().find("input").val("")
			})
		}else{
			$(this).parent().find(".delete").hide()
		}
	})
	$("input").focus(function(){
		if($(this).val().length>0){
			$(this).parent().find(".delete").show()
		}else{
			$(this).parent().find(".delete").hide()
		}
	})
	$("input").blur(function(){
		$(this).parent().find(".delete").hide()
	})
	
	//输入手机号码
	$("#phoneNumber").keyup(function(){
		var phoneNumber = $(this).val()
		if(phoneNumber.length==11){
			$("#getyzm").css({"border":"1px solid #FF3962","color":"#FF3962"})
			//绑定按钮变色
			if($("#yzm").val().length==6 && $("#passward").val().length >= 6 && $("#passward").val().length <= 16){
				$(".box3").css("background","#FF3962")
			}else{
				$(".box3").css("background","#DDDDDD")
			}
		}else{
			$("#getyzm").css({"border":"1px solid #DDDDDD","color":"#DDDDDD"})
			$(".box3").css("background","#DDDDDD")
		}
		
	})
	
	//获取验证码
	$("#getyzm").on("click",function(){
		if($(this).css("color")=="rgb(255, 57, 98)" && $(this).html()=="获取验证码"){
			var phoneNumber = $("#phoneNumber").val()
			$.ajax({
				type:"get",
				url:url+"/api/user/public/v2/smsCode/?phone="+phoneNumber+"&appId=2&platform=0&codeType=4",
				async:true,
				success:function(datas){
					var datas = JSON.parse(datas)
					var status = datas.status
					var message = datas.message
					$("#marked").show()
					$("#marked").html(message)
					setTimeout(function(){
						$("#marked").hide()
					},1000)
					if(status==0){
						var secondsyzm = 60
						$("#getyzm").html(secondsyzm+"s")
						myInter = setInterval(function(){
							secondsyzm-=1
							$("#getyzm").html(secondsyzm+"s")
							if(secondsyzm<0){
								clearInterval(myInter)
								$("#getyzm").html("获取验证码")
							}
						},1000)
						
					}
				}
			})
		}
	})
	
	//验证码输入绑定按钮变色
	$("#yzm").keyup(function(){
		if($(this).val().length==6 && $("#phoneNumber").val().length==11 && $("#passward").val().length >= 6 && $("#passward").val().length <= 16){
			$(".box3").css("background","#FF3962")
		}else{
			$(".box3").css("background","#DDDDDD")
		}
	})
	//密码输入绑定按钮变色
	$("#passward").keyup(function(){
		if($(this).val().length >= 6 && $(this).val().length <= 16 && $("#phoneNumber").val().length==11 && $("#yzm").val().length==6){
			$(".box3").css("background","#FF3962")
		}else{
			$(".box3").css("background","#DDDDDD")
		}
	})
	//密码是否可见
	$("#pwIshide").on("click",function(){
		//不可见icon
		if($(this).attr("src")=="img/pw-close.png"){
			$(this).attr("src","img/pw-open.png")
			$(this).parent().find("input").attr("type","text")
		}else if($(this).attr("src")=="img/pw-open.png"){
			$(this).attr("src","img/pw-close.png")
			$(this).parent().find("input").attr("type","password")
		}
	})
	
	//点击完成按钮
	$(".box3").on("tap",function(){
		if($(this).css("background")=="rgb(255, 57, 98)"){
			var smsCode = String($("#yzm").val())
			var phone = String($("#phoneNumber").val())
			var passwords = String($("#passward").val())
			var newPass = getpassWd(phone,passwords)
			var oldPhone = localStorage.getItem("oldPhone")
			$.ajax({
				type:"post",
				url:url+"/api/user/custom/v1/bind",
				async:true,
				data:{
					"oldPhone":oldPhone,
					"access_token":token,
					"bind":1,
					"accountType":0,
					"smsCode":smsCode,
					"password":newPass,
					"phone":phone,
					"appId":2,
					"platform":0
				},
				success:function(datas){
					var datas = JSON.parse(datas)
					console.log(datas)
					var message = datas.message
					var status = datas.status
					$("#marked").show()
					$("#marked").html(message)
					setTimeout(function(){
						$("#marked").hide()
						if(status==0){
						    setTimeout(function(){
                                openHtml("safeSet.html")
                             },1000)
						}

					},1000)
				}
			});
		}
	})
})
//密码加密
function getpassWd(loPhone,loPass){
	var date = new Date();
	var year = date.getFullYear();
	var month = date.getMonth()+1;
	month =(month<10 ? "0"+month:month); 
	var dates = date.getDate();
	dates = (dates<10 ? "0"+dates:dates)
	var iv = String(year)+String(month)+String(dates)
	var key = "*************"+loPhone;
	var desStr = encryptByDES(loPass,key,iv)
	var desResult = iv+desStr;
	var md5Str = hex_md5(desResult);
	var newPass = md5Str+iv+desStr;
	return newPass
}
//des加密
function encryptByDES(message, key,iv) {
	

  var keyHex = CryptoJS.enc.Utf8.parse(key);
    var encrypted = CryptoJS.TripleDES.encrypt(message, keyHex,{
		iv:CryptoJS.enc.Utf8.parse(iv),    
        mode: CryptoJS.mode.CBC,
        padding: CryptoJS.pad.Pkcs7
    });
return encrypted.toString()
    
}
// 扩展API准备完成后要执行的操作
function cancel() {
	plus.webview.currentWebview().canBack(function(event) {
		var canBack = event.canBack;
		if(canBack) {
			plus.webview.currentWebview().back();
		} else {
			plus.runtime.quit();
		}
	});
}
//打开页面
function openHtml(htmlUrl){
    var mainActivity= plus.android.runtimeMainActivity();
    Intent = plus.android.importClass('android.content.Intent');
    var intent = new Intent();
    intent.putExtra("request_url", htmlUrl);
    intent.setClassName(mainActivity,'com.pocketmacao.ui.activity.SDKWebViewActivity');
    mainActivity.startActivity(intent);//打开activity
}