$(function() {
 XBack.listen(function(){
        cancel()
    });
    mui.back = function() {
                    plus.runtime.quit();
                 }
	mui.init({
		pullRefresh: {
			container: '#pullrefresh',
			down: {
				callback: pulldownRefresh
			}
		}
	});
})
mui.plusReady(function() {
		var mainActivity = plus.android.runtimeMainActivity();
		var Toast = plus.android.importClass("android.widget.Toast");
		var UserManager = plus.android.importClass("com.pocketmacao.manager.UserManager");
		var isMerchant = UserManager.isMerchant();
		var token = UserManager.getToken();
		localStorage.setItem("token", token)
})
var quanyouTemplate = Handlebars.compile($('#quanyou-template').html());
Handlebars.registerHelper("imgPic", function(headPic) {
	if(headPic.indexOf("null") > -1 || headPic == '') headPic = "img/defaultHead.png";
	return headPic;
});
Handlebars.registerHelper("attentionImg", function(userRelation) {
	var attentionImg = "";
	if(userRelation == 0) {
		attentionImg = '<img src="img/attention.png"/>';
	} else if(userRelation == 1) {
		attentionImg = '<img src="img/attention.png"/>';
	} else if(userRelation == 2) {
		attentionImg = '<img src="img/followed.png"/>';
	} else if(userRelation == 3) {
		attentionImg = '<img src="img/together.png"/>';
	}
	return attentionImg;
});
var keywordes = localStorage.getItem("quanyouKeyword")
searchFnc(keywordes)
window.addEventListener('showPage', function(event) {
	//获得事件参数
	var keyWorders = event.detail.keyWorders;
	console.log(keyWorders)
	localStorage.setItem("quanyouKeyword", keyWorders)
	searchFnc(keyWorders)
})
//input框输入内容显示list
window.addEventListener('showList', function(event) {
	//获得事件参数
	var keyWorders = event.detail.keyWorders;
	if(keyWorders.length > 0) {
		//console.log(keyWorders)
		$.ajax({
			type: "get",
			url: url + "/api/search/public/v1/preview/?appId=2&keyword=" + keyWorders,
			async: true,
			beforeSend: function() {
				$("#listSearch").empty()
			},
			success: function(datas) {
				$("#listSearch").show()
				var datas = JSON.parse(datas)
				console.log(datas)
				var status = datas.status
				if(status == 0) {
					var Info = datas.data;
					var keywords = Info.keywords
					var keywordes = keywords.split(",")
					//console.log(keywordes)
					for(var i = 0; i < keywordes.length; i++) {
						if(keywordes[i] != "") {
							//	console.log(keywordes[i])
							var li = '<li onclick=searchFnc(\"' + keywordes[i] + '\")>' + keywordes[i] + '</li>'
							$("#listSearch").append(li)
						}

					}

				}
			}
		});
	} else {
		$("#listSearch").hide()
	}
})
window.addEventListener('submitFnc', function(event) {
	//获得事件参数
	var keyword = event.detail.keyword;
	$(".box1").css("display", "none!important")
	$(".box2").show()
	searchFnc(keyword)
	localStorage.setItem("quanyouKeyword", keyword)
});

//搜索
function searchFnc(keywordes) {
	$("input").val(keywordes)
	if(arguments.length == 0) {
		keywordes = $('input[type=search]').val();
	} else {
		$('input[type=search]').val(keywordes);
	}
	$(".box1").hide()
	$(".maple-tab").show();
	var urls='';
	var token = localStorage.getItem("token");
	if(token) {
		urls = url + "/api/search/public/v2/search/?appId=2&version=2.3.3&moduleId=1&channelIds=1401&pageSize=100&keyword=" + keywordes + "&access_token=" + token
	} else {
		urls = url + "/api/search/public/v2/search/?appId=2&version=2.3.3&moduleId=1&channelIds=1401&pageSize=100&keyword=" + keywordes
	}
	//全部
	$.ajax({
		type: "get",
		url: urls,
		async: true,
		beforeSend: function() {
			$("#listSearch").empty()
			$("#listSearch").hide()
			$(".animate").show()
			$(".nr").hide()
			$("#quanyou .box11-min").empty()
		},
		success: function(datas) {
			$(".swiper-container").css("height", "auto")
			$(".animate").hide()
			var datas = JSON.parse(datas)
			console.log(datas)
			var status = datas.status
			if(status == 0) {
				var total = datas.total;
				if(total <= 0) {
					$(".nr").css("display", "flex")
				} else {
					$(".nr").hide()
					$(".box2").show()
					var data = datas.data;
					console.log(data)
					//圈友项
					var circleFriendItem = data.circleFriendItem
					if(circleFriendItem) {
						$("#quanyoubox").show()
						var circleFriends = circleFriendItem.circleFriends //圈友数组
						var circleFriendTotal = circleFriendItem.circleFriendTotal //圈友数量
						var channelId = circleFriendItem.channelId //频道id
							for(var i =0;i<circleFriends.length;i++ ){
                        	    circleFriends[i].keywordes=keywordes;
                        //	      circleFriends[i].username=circleFriends[i].username.replace(keywordes,'<span style=color:#FF3962;>"+keywordes+"</span>');
                        	}
						$("#quanyou .box11-min").append(quanyouTemplate(circleFriends))
						for(var i = 0; i < circleFriends.length; i++) {
							//性别
							if(circleFriends[i].gender == '0') {
								$('#quanyou .box11-min').find("#userId" + circleFriends[i].userId + " .xingbie").attr("src", "img/xingbienv.png"); //女士
							} else {
								$('#quanyou .box11-min').find("#userId" + circleFriends[i].userId + " .xingbie").attr("src", "img/xingbienan.png"); //男士
							}
						}
						//头像加载失败
					$(".headImg").on("error", function() {
						$(this).attr("src", "img/defaultHead.png");
					})
					} else {
						$("#quanyoubox").hide()
					}

				}
			}

		}
	});
}
//圈友
function openQuanSpeciallist(id) {
	cancelBubble();
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("user_id", id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.homeMine.user.PersonalInfoActivity');
	mainActivity.startActivity(intent); //打开activity
}
//关注
function follow(id, follow, obj) {
	cancelBubble();
	var mainActivity = plus.android.runtimeMainActivity();
	var Toast = plus.android.importClass("android.widget.Toast");
	var UserManager = plus.android.importClass("com.pocketmacao.manager.UserManager");
	var isMerchant = UserManager.isMerchant();
	var token = UserManager.getToken();
	var followNum = Number($(obj).attr("followNum"));
	if(token) {
		followNum++;
		$(obj).attr("followNum",followNum)
		if(follow == 0) {
			follow = 1;
		} else {
			follow = 0;
		}
		if(followNum % 2 != 0) {
			follow = follow;
		} else {
			if(follow == 0) {
				follow = 1;
			} else {
				follow = 0;
			}
		}
		$.ajax({
			type: "post",
			url: url + "/api/user/custom/v1/follow",
			data: {
				beFollowUserId: id,
				follow: follow,
				access_token: token,
				appId: 1,
				platform: 0,
				apiVersion: '3.8.3',
				version: '3.8.3',
			},
			async: true,
			beforeSend: function() {
				$("#listSearch").empty()
			},
			success: function(datas) {
				datas = JSON.parse(datas);
				if(datas.status == '0') {
					if(datas.data.userRelation == '0') {
						$(obj).find("img").attr("src", "img/attention.png"); //未关注
						$(obj).find("img").css("width", "1.2rem"); //互相关注
					} else if(datas.data.userRelation == '1') {
						$(obj).find("img").attr("src", "img/attention.png"); //我的粉丝
						$(obj).find("img").css("width", "1.2rem"); //互相关注
					} else if(datas.data.userRelation == '2') {
						$(obj).find("img").attr("src", "img/followed.png"); //我关注的
						$(obj).find("img").css("width", "1.2rem"); //互相关注
					} else if(datas.data.userRelation == '3') {
						$(obj).find("img").attr("src", "img/together.png"); //互相关注
						$(obj).find("img").css("width", "1.4rem"); //互相关注
					}
				}

				var mainActivity = plus.android.runtimeMainActivity();
				var ToastUtil = plus.android.importClass("com.pocketmacao.uitl.ToastUtil");
				ToastUtil.toastDefault(mainActivity, datas.message);
			}
		});
	} else {
		var mainActivity = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass('android.content.Intent');
		var intent = new Intent();
		//		intent.putExtra("id", id);
		intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.LoginActivity');
		mainActivity.startActivity(intent); //打开activity
	}
}
//阻止事件冒泡
function cancelBubble(e) {
	var evt = e ? e : window.event;
	if(evt.stopPropagation) { //W3C 
		evt.stopPropagation();
	} else { //IE      
		evt.cancelBubble = true;
	}
}