$(function(){
 htmlFontSize()
     //扩展API是否准备好，如果没有则监听“plusready"事件
      if(window.plus){
          plusReady();
      }else{
          document.addEventListener( "plusready", plusReady, false );
      }
      // 扩展API准备完成后要执行的操作
      function plusReady(){
            $("header img").on("click",function(){
                    //后退
                plus.webview.currentWebview().canBack(function(event) {
                    var canBack = event.canBack;
                    if(canBack) {
                         plus.webview.currentWebview().back();
                    } else {
                        plus.runtime.quit();
                    }
                });

            })
      		var mainActivity = plus.android.runtimeMainActivity();
            var Toast = plus.android.importClass("android.widget.Toast");
            var UserManager = plus.android.importClass("com.pocketmacao.manager.UserManager");
            var token = UserManager.getToken();
            var tradeRecordId = localStorage.getItem("tradeRecordId");
            $.ajax({
                type:"get",
                url:url+"/api/tradeRecord/custom/v1/tradeRecord/?tradeRecordId="+tradeRecordId+"&access_token="+token,
                beforeSend:function(){
                    $("#animate").show();
                    $(".main").hide();
                    $("#lingqu").hide();
                },
                success:function(datas){
                    $("#animate").hide();
                    $(".main").show();
                    $("#lingqu").show();
                    var orderInfo = datas.data;
                    console.log(orderInfo)
                    var orderId = orderInfo.orderId;//订单id
                    var orderNo = orderInfo.orderNo;//订单编号
                    var orderStatus = orderInfo.orderStatus;//订单状态
                    var created = format(orderInfo.created);//下单时间
                    var deadline = format1(orderInfo.deadline);//截止时间
                    var successfulTradeTime = format(orderInfo.successfulTradeTime);//成交时间
                    var memo = orderInfo.memo;//备注
                    var isExpired = orderInfo.isExpired;//是否过期
                    var paidBalance = orderInfo.paidBalance;//已付余额
                    var paidBalanceUnit = orderInfo.paidBalanceUnit;//已付余额单位
                    var unpaidBalance = orderInfo.unpaidBalance;//待付余额
                    var unpaidBalanceUnit = orderInfo.unpaidBalanceUnit;//待付余额单位
                    var prepaidTotalAmount = orderInfo.prepaidTotalAmount;//预付总价
                    var prepaidTotalAmountUnit = orderInfo.prepaidTotalAmountUnit;//预付总价单位

                    var user = orderInfo.user;//用户
                    var userId = user.userId;//用户id
                    var username = user.username;//用户名
                    var phone = user.phone;//用户电话

                    var orderItem = orderInfo.orderItem;//订单项
                    var productId = orderItem.productId;//产品id
                    var productName = orderItem.productName;//产品名
                    var productImage = orderItem.productImage;//产品图
                    var prepaidPrice = orderItem.prepaidPrice;//预付金额
                    var prepaidPriceUnit = orderItem.prepaidPriceUnit;//预付金额单位
                    var productQuantity = orderItem.productQuantity;//产品总数
                    var productPlanId = orderItem.productPlanId;//产品套餐id
                    var productPlanName = orderItem.productPlanName;//产品套餐名
                    var productPlanRackRate = orderItem.productPlanRackRate;//产品门市价（带删除线的）
                    var productPlanReferencePrice = orderItem.productPlanReferencePrice;//参考价
                    var productPlanPriceUnit = orderItem.productPlanPriceUnit;//参考价格单位

                    $(".goodslist_le img").attr("src",productImage);
                    $(".goodslist_ri p").html(productName);
                    $(".goodslist_ri .hd_1").html(productPlanPriceUnit+productPlanReferencePrice+".00");
                    $(".goodslist_ri .hd_2").html(productPlanPriceUnit+productPlanRackRate+".00");
                    $(".gtwo_1 i").html(productPlanName);
                    $(".gtwo_2 i").html(productQuantity);
                    $(".gtwo_3 i").html(prepaidPriceUnit+prepaidPrice+".00");
                    $(".gtwoth_1 i").html(orderNo);
                    $(".gtwoth_2 i").html(created);
                    $(".gtwoth_3 i").html(deadline);
                    $(".gtwoth_4 i").html(successfulTradeTime);
                    $(".gtwoth_5 i").html(memo);
                    $(".gt_one i").html(username);
                    $(".gt_two i").html(phone);
                    $("#pay i").html(prepaidPriceUnit+prepaidPrice+".00");
                }
            });

      }


	
	
	//时间戳转换为年月日
	function add0(m) {
		return m < 10 ? '0' + m : m
	}

	function format(shijianchuo) {
		//shijianchuo是整数，否则要parseInt转换
		var time = new Date(shijianchuo);
		var y = time.getFullYear();
		var m = time.getMonth() + 1;
		var d = time.getDate();
		var h = time.getHours();
		var mm = time.getMinutes();
		var s = time.getSeconds();
		return y + '-' + add0(m) + '-' + add0(d) + ' ' + add0(h) + ':' + add0(mm) + ':' + add0(s);
	}
	
	function format1(shijianchuo) {
		//shijianchuo是整数，否则要parseInt转换
		var time = new Date(shijianchuo);
		var y = time.getFullYear();
		var m = time.getMonth() + 1;
		var d = time.getDate();
		var h = time.getHours();
		var mm = time.getMinutes();
		var s = time.getSeconds();
		return y + '-' + add0(m) + '-' + add0(d);
	}
})
function htmlFontSize(){
    var h = Math.max(document.documentElement.clientHeight, window.innerHeight || 0);
    var w = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
    var width = w > h ? h : w;
    width = width > 720 ? 720 : width
    var fz = ~~(width*100000/75)/10000
    document.getElementsByTagName("html")[0].style.cssText = 'font-size: ' + fz +"px";
    var realfz = ~~(+window.getComputedStyle(document.getElementsByTagName("html")[0]).fontSize.replace('px','')*10000)/10000
    if (fz !== realfz) {
        document.getElementsByTagName("html")[0].style.cssText = 'font-size: ' + fz * (fz / realfz) +"px";
    }
}