$(function(){
    XBack.listen(function(){
        cancel()
    });
    mui.plusReady(function() {
        mui.back = function() {
                plus.runtime.quit();
        }
        var mainActivity = plus.android.runtimeMainActivity();
        var Toast = plus.android.importClass("android.widget.Toast");
        var UserManager = plus.android.importClass("com.pocketmacao.manager.UserManager");
        var token = UserManager.getToken();
        $.ajax({
    		type:"get",
    		url:url+"/api/user/custom/v1/expRecords?access_token="+token,
    		async:true,
    		beforeSend:function(){
    			$("#animate").show()
    		},
    		success:function(datas){
    			$("#animate").hide()
    			datas = JSON.parse(datas)
    			var data = datas.data
    			var canLoadMore = data.canLoadMore
    			var expRecords = data.expRecords
    			for(var i=0;i<expRecords.length;i++){
    				var created = format(expRecords[i].created)
    				var expValue = expRecords[i].expValue
    				var title = expRecords[i].title
    				if(String(expValue).substring(0,1)!="-"){
    				    var expValue = "+"+ expValue
    				}else{
    				    var expValue = expValue
    				}
    				var li = '<li><div class="li-left"><span>'+title+'</span><i>'+created+'</i></div><div class="li-right"><span>'+expValue+'</span><i>经验值</i></div></li>'
    				$("ul").append(li)

    			}
    			if(canLoadMore){
    				var maxId = data.maxId
    				localStorage.setItem("expRecordMaxId",maxId)
    				localStorage.setItem("expRecordCanLoadMore",canLoadMore)

    			}


    		}
    	});
    })


	
	
})
//时间戳转换为年月日
function add0(m) {
	return m < 10 ? '0' + m : m
}

function format(shijianchuo) {
	//shijianchuo是整数，否则要parseInt转换
	var time = new Date(shijianchuo);
	var y = time.getFullYear();
	var m = time.getMonth() + 1;
	var d = time.getDate();
	var h = time.getHours();
	var mm = time.getMinutes();
	var s = time.getSeconds();
	return y + '-' + add0(m) + '-' + add0(d) + ' ' + add0(h) + ':' + add0(mm) + ':' + add0(s);
}
var mescroll = new MeScroll("mescroll", { //第一个参数"mescroll"对应上面布局结构div的id
       //如果您的下拉刷新是重置列表数据,那么down完全可以不用配置,具体用法参考第一个基础案例
       //解析: down.callback默认调用mescroll.resetUpScroll(),而resetUpScroll会将page.num=1,再触发up.callback
	    down: {
	        use: false 
	    },
	    up: {
	    	//auto:true,//初始化完毕,是否自动触发上拉加载的回调
            noMoreSize: 5, //如果列表已无数据,可设置列表的总数量要大于半页才显示无更多数据;避免列表数据过少(比如只有一条数据),显示无更多数据会不好看
            htmlNodata:'<p class="upwarp-nodata">我们是有底线的</p>',
            offset: 100, //离底部的距离expRecordCanLoadMore
	        callback: getListData//上拉加载的回调
        }
	});

function getListData(){
	var expRecordCanLoadMore = localStorage.getItem("expRecordCanLoadMore")
	console.log(expRecordCanLoadMore)
	if(expRecordCanLoadMore=="true"){
		//联网加载数据
		getListDataFromNet(function(data){
			//联网成功的回调,隐藏下 拉刷新和上拉加载的状态;
			//mescroll.endSuccess(data.length);//传参:数据的总数; mescroll会自动判断列表如果无任何数据,则提示空;列表无下一页数据,则提示无更多数据;
			mescroll.endSuccess(20);
			//设置列表数据
			setListData(data);
		}, function(){
			//联网失败的回调,隐藏下拉刷新和上拉加载的状态;
	        mescroll.endErr();
		});
	}else{
		mescroll.endSuccess(0);
		localStorage.removeItem("expRecordMaxId")
		localStorage.removeItem("expRecordCanLoadMore")
	}
	
}
/*设置列表数据*/
function setListData(datas){
	var data = JSON.parse(datas).data
	var canLoadMore = data.canLoadMore
	var maxId = data.maxId
	localStorage.setItem("expRecordMaxId",maxId)
	localStorage.setItem("expRecordCanLoadMore",canLoadMore)
	var expRecords = data.expRecords
	for(var i=0;i<expRecords.length;i++){
		var created = format(expRecords[i].created)
		var expValue = expRecords[i].expValue
		var title = expRecords[i].title
		if(String(expValue).substring(0,1)!="-"){
            var expValue = "+"+ expValue
        }else{
            var expValue = expValue
        }
		var li = '<li><div class="li-left"><span>'+title+'</span><i>'+created+'</i></div><div class="li-right"><span>'+expValue+'</span><i>经验值</i></div></li>'
		$("ul").append(li)
		
	}
}
/*联网加载列表数据*/
function getListDataFromNet(successCallback,errorCallback){
	var mainActivity = plus.android.runtimeMainActivity();
    var Toast = plus.android.importClass("android.widget.Toast");
    var UserManager = plus.android.importClass("com.pocketmacao.manager.UserManager");
    var token = UserManager.getToken();
	var expRecordMaxId = localStorage.getItem("expRecordMaxId")
	$.ajax({
        type: 'GET',
        url: url+"/api/user/custom/v1/expRecords?access_token="+token+"&pageSize="+20+"&maxId="+expRecordMaxId,
//		                url: '../res/pdlist1.json?pdType='+pdType+'&num='+pageNum+'&size='+pageSize,
        success: function(datas){
        	//回调
        	successCallback(datas);
        },
        error: errorCallback
   });
}