$(function(){
    mui.plusReady(function() {
        var mainActivity = plus.android.runtimeMainActivity();
        var Toast = plus.android.importClass("android.widget.Toast");
        var UserManager = plus.android.importClass("com.pocketmacao.manager.UserManager");
        var isMerchant = UserManager.isMerchant();
        var token = UserManager.getToken();
        localStorage.setItem("token", token)
    })
	$(".tabs a").eq(0).addClass("active")
	//点击导航
	$(".tabs a").on('click', function(e) {
        e.preventDefault()
        $(".tabs .active").removeClass('active')
        $(this).addClass('active')
        tabsSwiper.slideTo($(this).index())
   })
	//滑动轮播
	var tabsSwiper = new Swiper('#tabs-container', {
        speed: 500,
        on: {
            slideChangeTransitionStart: function() {
                $(".tabs .active").removeClass('active');
                $(".tabs a").eq(this.activeIndex).addClass('active');
            }
        },
        observer:true,//修改swiper自己或子元素时，自动初始化swiper
        autoHeight: true
    })
	//输入框显示删除按钮
	$("header input").focus(function(){
		//console.log($(this).val().length)
		if($(this).val().length>0){
			$("#delete").css("display","block")
		}else{
			$("#delete").hide()
		}
	})
	//表单搜索
	$('#myform').bind('search', function () {
        if($("input").val()!=""){
            $("input").blur()
        //	$("#listSearch").empty()
        //	$("#listSearch").hide()
            keyword =  $("header input").val();
            submitFnc(keyword)
        }
    });
    //点击输入框删除按钮
    $("#delete").on("tap",function(){
		$("header input").val("")
        $(this).hide()
        $(".tabs").hide()
        $("#tabs-container").hide()
        showHisList()
        $("#hotSearch").show()
        $(".box1").show()
	})
    //输入框输入内容现实下拉列表
    $("header input").keyup(function(){
		var keyWorders = $(this).val()
		showList(keyWorders)
		if(keyWorders.length<=0){
			$("#delete").hide()
			$(".tabs").hide()
            $("#tabs-container").hide()
            showHisList()
            $("#hotSearch").show()
            $(".box1").show()
		}
	})
	//获取热门关键字
	$.ajax({
		type:"get",
		url:url+"/api/search/public/v1/keywords/?appId=2",
		async:true,
		success:function(datas){
			var datas = JSON.parse(datas)
			console.log(datas)
			var hotSearchKeyword = datas.data.hotSearchKeywords
			if(hotSearchKeyword.length>0){
			    $("#hotSearch").show();
				var num=0
				$("#hotSearch .hot-bot ul").addClass("0")
				$("#changeHot").css("display","flex")
                var hotSearchKeywords = datas.data.hotSearchKeywords[num]
                var keywords = hotSearchKeywords.keywords
                var newkeywords = keywords.split(",")
                for(var i=0;i<newkeywords.length;i++){
                      var keywordStr = newkeywords[i].replace(/\s*/g,"");
                    var li = '<li onclick="searchFnc(\''+keywordStr+'\')">'+newkeywords[i]+'</li>'
                    $("#hotSearch .hot-bot ul").append(li)
                }
				$("#changeHot").click(function(){
					var num = parseInt($("#hotSearch .hot-bot ul").attr("class"))
					$("#hotSearch .hot-bot ul").empty()
					var hotSearchKeywords = datas.data.hotSearchKeywords
					var length = hotSearchKeywords.length
					var num = num+1
					var hotSearchKeywords = datas.data.hotSearchKeywords[num]
					var keywords = hotSearchKeywords.keywords
					var newkeywords = keywords.split(",")
					for(var i=0;i<newkeywords.length;i++){
					     var keywordStr = newkeywords[i].replace(/\s*/g,"");
						var li = '<li onclick="searchFnc(\''+keywordStr+'\')">'+newkeywords[i]+'</li>'
						$("#hotSearch .hot-bot ul").append(li)
					}
					if(num>=length-1){
					    $("#hotSearch .hot-bot ul").attr("class","-1")
					}else{
						$("#hotSearch .hot-bot ul").attr("class",num)
					}
				})

			}else{//热门搜索数组小于1，不显示换一批按钮
//				$("#changeHot").hide()
				var hotSearchKeyword = datas.data.hotSearchKeywords
				if(hotSearchKeyword.length>0){
                var hotSearchKeywords = hotSearchKeyword[0]
                var keywords = hotSearchKeywords.keywords
                var newkeywords = keywords.split(",")
                for(var i=0;i<newkeywords.length;i++){
                    var keywordStr = newkeywords[i].replace(/\s*/g,"");
                    var li = '<li onclick="searchFnc(\''+keywordStr+'\')">'+newkeywords[i]+'</li>'
                    $("#hotSearch .hot-bot ul").append(li)
                }}
			}

		}
	});
	showHisList()
	$("#listSearch").hide()
	//查看更多跳转
	//折扣
	$("#zhekoubox .box3-bot").on("click", function(e) {
		e.preventDefault()
		$(".tabs a").removeClass('active')
        $(".tabs a").eq(1).addClass('active')
		//模拟第二个选项卡点击
		tabsSwiper.slideTo(1, 1000, false);//切换到第一个slide，速度为1秒
	})
	//报价
	$("#baojiabox .box4-bot").on("click", function(e) {
		e.preventDefault()
		$(".tabs a").removeClass('active')
        $(".tabs a").eq(2).addClass('active')
		tabsSwiper.slideTo(2, 1000, false);//切换到第一个slide，速度为1秒
	})
	//攻略
	$("#gongluebox .box5-bot").on("click", function(e) {
		e.preventDefault()
		$(".tabs a").removeClass('active')
        $(".tabs a").eq(3).addClass('active')
		tabsSwiper.slideTo(3, 1000, false);
	})
	//商城
	$("#shangpinbox .box6-bot").on("click", function(e) {
		e.preventDefault()
		$(".tabs a").removeClass('active')
        $(".tabs a").eq(4).addClass('active')
		tabsSwiper.slideTo(4, 1000, false);
	})
	//删除历史记录
	$("#deleHistory").on("click", function() {
		$("#zhezhao").show()
		$("#tankuang").show()
	})
	$("#tankuang #cancel").on("click", function() {
		$("#zhezhao").hide()
		$("#tankuang").hide()
		$(".titleLi").css("display", "flex")
	})
	$("#tankuang #ok").on("click", function() {
		$("#zhezhao").hide()
		$("#tankuang").hide()
		$(".box1 .historyUl").remove(".addContents")
		$(".titleLi").hide()
		localStorage.setItem("historyContent", "")
	})
})
var dongtaiTemplate = Handlebars.compile($('#dongtai-template').html());
var wendaTemplate = Handlebars.compile($('#wenda-template').html());
var huatiTemplate = Handlebars.compile($('#huati-template').html());
var quanyouTemplate = Handlebars.compile($('#quanyou-template').html());
Handlebars.registerHelper("imgPic", function(headPic) {
	if(headPic.indexOf("null") > -1 || headPic == '') headPic = "img/defaultHead.png";
	return headPic;
});
Handlebars.registerHelper("dateToDaytimeNew", function(created) {
	var date = new Date(created);
	var newdate = new Date();
	var localtime = date.getTime();
	var datetime = newdate.getTime();
	var result = "";
	var fenzhong = Math.round((datetime - localtime) / (1000 * 60)); //求出两个时间的时间差，这个是分钟。
	var xiaoshi = Math.round((datetime - localtime) / (1000 * 3600)); //求出两个时间的时间差，这个是小时。
	var tian = Math.round((datetime - localtime) / (1000 * 3600 * 24)); //求出两个时间的时间差，这个是天。
	var zhou = Math.round((datetime - localtime) / (1000 * 3600 * 24 * 7)); //求出两个时间的时间差，这个是天。
	var yue = Math.round((datetime - localtime) / (1000 * 3600 * 24 * 30)); //求出两个时间的时间差，这个是月。

	if(fenzhong < 1) {
		result = "刚刚";

	} else if(fenzhong < 60 && fenzhong >= 1) {
		result = fenzhong + "分钟前";

	} else if(xiaoshi < 24) {
		result = xiaoshi + "小时前";

	} else if(tian <= 7) {
		result = tian + " 天前";
	} else {
		result = date.getFullYear() + "-" + (date.getMonth() + 1) + "-" + date.getDate()
	}
	return result;
});
Handlebars.registerHelper("pageViews", function(pageView) {
	var pageViews = "";
	if(pageView > 10000) {
		pageViews = Math.floor(pageView / 10000) + "万+";
	} else {
		pageViews = pageView;
	}
	return pageViews;
});
Handlebars.registerHelper("attentionImg", function(userRelation) {
	var attentionImg = "";
	if(userRelation == 0) {
		attentionImg = '<img src="img/attention.png"/>';
	} else if(userRelation == 1) {
		attentionImg = '<img src="img/attention.png"/>';
	} else if(userRelation == 2) {
		attentionImg = '<img src="img/followed.png"/>';
	} else if(userRelation == 3) {
		attentionImg = '<img src="img/together.png"/>';
	}
	return attentionImg;
});
//点击搜索按钮
function submitFnc(keyword){
	$("#listSearch").hide()
	//获得事件参数
	localStorage.setItem("keyword", keyword)
	//根据id向服务器请求新闻详情
	if(localStorage.getItem("historyContent")) {
		var historyContent = localStorage.getItem("historyContent").split(",");
	} else {
		var historyContent = []
	}
	$(".box1").css("display", "none!important")
	$(".box2").show()
	if(historyContent.length > 0) {
		var s = in_array(keyword, historyContent);
		if(!s) {
			historyContent.push(keyword);
		}

	} else {
		historyContent.push(keyword)
	}
	localStorage.setItem("historyContent", historyContent)
	searchFnc(keyword)
}
//历史记录
function showHisList() {
	historyContentS = localStorage.getItem("historyContent")
	if(historyContentS) {
		historyContentSs = historyContentS.split(",")
		//console.log(typeof(historyContentSs))
		if(historyContentSs.length > 30) {
			$(".titleLi").css("display", "flex")
			for(var i = historyContentSs.length - 1; i >= 30; i--) {
				console.log(historyContentSs[i])
				var li = '<li>' + historyContentSs[i] + '</li>'
				$(".box1 .historyUl").append(li)
			}
		} else {
			if(historyContentSs.length <= 0) {
				$(".titleLi").hide()
			} else {
				$(".titleLi").css("display", "flex")
				for(var i = historyContentSs.length - 1; i >= 0; i--) {
				    var historyStr = historyContentSs[i].replace(/\s*/g,"");
//				     console.log(historyStr)
					var li = '<li class="addContents" keywordes="' + historyContentSs[i] + '" onclick=searchFnc(\'' +historyStr + '\')>' + historyContentSs[i] + '</li>'
					$(".box1 .historyUl").append(li)
				}
			}

		}
	}

}
//触发下拉列表
function showList(keyWorders){
	$(".box2").hide()
	if(keyWorders.length > 0) {
		$("#delete").css("display", "block")
		$.ajax({
			type: "get",
			url: url + "/api/search/public/v1/preview/?appId=2&keyword=" + keyWorders,
			async: true,
			beforeSend: function() {
				$("#listSearch").empty()
			},
			success: function(datas) {
			 console.log(url)
				$("#listSearch").show()
				var datas = JSON.parse(datas)
				//console.log(datas)
				var status = datas.status
				if(status == 0) {
					var Info = datas.data;
					var keywords = Info.keywords
					var keywordes = keywords.split(",")
					//console.log(keywordes)
					for(var i = 0; i < keywordes.length; i++) {
						if(keywordes[i] != "") {
							//	console.log(keywordes[i])
							 var keywordStr = keywordes[i].replace(/\s*/g,"");
							var li = '<li onclick=searchFnc(\"' + keywordStr + '\") keywordes="' + keywordes[i] + '">' + keywordes[i] + '</li>'
							$("#listSearch").append(li)
						}

					}

				}
			}
		});
	} else {
		$("#listSearch").hide()
	}
}
//搜索
function searchFnc(keyword,divId){
	$(".tabs").show()
	var token = localStorage.getItem("token")
	$("#hotSearch").hide()
	$("#listSearch").hide()
	if(arguments.length == 0) {
		keywordes = $('input[type=search]').val();
	} else {
		$('input[type=search]').val(keyword);
	}
	if(localStorage.getItem("historyContent")) {
		var historyContent = localStorage.getItem("historyContent").split(",");
		//console.log(historyContent)
	} else {
		var historyContent = []
	}
	if(historyContent.length > 0) {
		var s = in_array(keyword, historyContent);
		if(!s) {
			historyContent.push(keyword);
			//console.log(historyContent)
		}
	} else {
		historyContent.push(keyword)
		//console.log(historyContent)
	}
	localStorage.setItem("historyContent", historyContent)
	$(".box1").css("display", "none!important")
	$(".maple-tab").show()
	$(".box2").show()
	if(localStorage.getItem("token")) {
		var urls = "/api/search/public/v2/search/?appId=2&version=2.3.3&pageSize=30&moduleId=1&channelIds=1100,1202,1204,1205,1206,1207,1208,1209,1210,1211,1215,1301,1302,1303,1401&keyword=" + keyword + "&access_token=" + token
	} else {
		var urls = "/api/search/public/v2/search/?appId=2&version=2.3.3&pageSize=30&moduleId=1&channelIds=1100,1202,1204,1205,1206,1207,1208,1209,1210,1211,1215,1301,1302,1303,1401&keyword=" + keyword
	}
	 console.log(urls)
	getData(urls,keyword)
}
//获取数据
function getData(urls,keywordes){
	$.ajax({
		type:"get",
		url:url+urls,
		async:true,
		beforeSend: function() {
			$(".animate").show()
			$("#tabs-container").show()
			$("#mescroll0 .mescroll-upwarp").remove()
			$("#mescroll1 .mescroll-upwarp").remove()
			$("#mescroll2 .mescroll-upwarp").remove()
			$("#mescroll3 .mescroll-upwarp").remove()
			$(".nr").hide()
			$("#listSearch").empty()
			$("#listSearch").hide()
			$("#listSearch").empty()
			$("#listSearch").hide()
			$("#zhekou .box3-min").empty()
			$("#baojia .box4-min").empty()
			$("#zhuanti .box5-min").empty()
			$("#gonglue .box5-min").empty()
			$("#shangpin .box6-min").empty()
			$("#shangchang .box7-min").empty()
			$("#dongtai .box8-min").empty()
			$("#wenda .box9-min").empty()
			$("#huati .box10-min").empty()
			$("#quanyou .box11-min").empty()
			$("#jingdian .box12-min").empty()
			$("#meishibox .box13-min").empty()
			$("#yanchubox .box14-min").empty()
			$("#zhanhuibox .box15-min").empty()
			$("#zhekou1 .box3-min").empty()
			$("#baojia1 .box4-min").empty()
			$("#gonglue1 .box5-min").empty()
			$("#shangpin1 .box6-min").empty()
			$("#zhekoubox").hide()
			$("#baojiabox").hide()
			$("#zhuantibox").hide()
			$("#gongluebox").hide()
			$("#shangpinbox").hide()
			$("#shangchangbox").hide()
			$("#dongtaibox").hide()
			$("#wendabox").hide()
			$("#huatibox").hide()
			$("#quanyoubox").hide()
			$("#jingdianbox").hide()
			$("#meishibox").hide()
			$("#yanchubox").hide()
			$("#zhanhuibox").hide()
		},
		timeout: 50000,
		success: function(datas) {
			$(".box1").css("display", "none!important")
			$(".animate").hide()
			var datas = JSON.parse(datas)
			console.log(datas)
			var status = datas.status
			if(status == 0) {
				var total = datas.total;
				if(total<0){
					$(".nr").css("display", "flex")
				}else{
					$(".nr").hide()
					var data = datas.data;
					console.log(data)
					//折扣项
					var discountItem = data.discountItem
					if(discountItem) {
						$("#zhekoubox").show()
						discountItemFnc(discountItem,"zkTabs",keywordes)
					}else{
						$("#zhekoubox").hide()
						$("#zk .nr").css("display", "flex")
					}
					//报价项
					var quotationItem = data.comparePriceItem
					if(quotationItem) {
						$("#baojiabox").show()
						quotationItemFnc(quotationItem,"bjTabs",keywordes)
					} else {
						$("#baojiabox").hide()
						$("#bj .nr").css("display", "flex")
					}
					//攻略项
					var strategyItem = data.strategyItem
					if(strategyItem) {
						$("#gongluebox").show()
						strategyItemFnc(strategyItem,"glTabs",keywordes)
					}else{
						$("#gongluebox").hide()
						$("#gl .nr").css("display", "flex")
					}

					//商城
					var productItem = data.productItem
					if(productItem) {
						//console.log(productItem)
						$("#shangpinbox").show()
						productItemFnc(productItem,"scTabs",keywordes)
					}else{
						$("#shangpinbox").hide()
						$("#sc .nr").css("display", "flex")
					}

					//专题
					var quotationSpecialItem = data.quotationSpecialItem
					//console.log("专题项："+quotationSpecialItem)
					if(quotationSpecialItem) {
						$("#zhuantibox").show()
						quotationSpecialItemFnc(quotationSpecialItem,keywordes)
					}else{
						$("#zhuantibox").hide()
					}

					//商场
					var shopItem = data.shopItem
					if(shopItem) {
						$("#shangchangbox").show()
						shopItemFnc(shopItem,keywordes)
					}else{
						$("#shangchangbox").hide()
					}

					//景点
					var scenicSpotItem = data.scenicSpotItem
					if(scenicSpotItem) {
						$("#jingdianbox").show()
						scenicSpotItemFnc(scenicSpotItem,keywordes)
					}else{
						$("#jingdianbox").hide()
					}

					//美食
					var foodItem = data.foodItem
					if(foodItem) {
						$("#meishibox").show()
						foodItemFnc(foodItem,keywordes)
					}else{
						$("#meishibox").hide()
					}

					//演出
					var showItem = data.showItem
					if(showItem) {
						$("#yanchubox").show()
						showItemFnc(showItem,keywordes)
					}else{
						$("#yanchubox").hide()
					}

					//展会
					var exhibitionItem = data.exhibitionItem
					if(exhibitionItem) {
						$("#zhanhuibox").show()
						exhibitionItemFnc(exhibitionItem,keywordes)
					}else{
						$("#zhanhuibox").hide()
					}

					//动态
					var gossipItem = data.gossipItem
					//console.log("动态项："+discountItem)
					if(gossipItem) {
						$("#dongtaibox").show()
						gossipItemFnc(gossipItem,keywordes)
					}else{
						$("#dongtaibox").hide()
					}

					//问答
					var questionItem = data.questionItem
					//console.log("问答项："+questionItem)
					if(questionItem) {
						$("#wendabox").show()
						questionItemFnc(questionItem,keywordes)
					}else{
						$("#wendabox").hide()
					}

					//话题
					var topicItem = data.topicItem
					//console.log("话题项："+questionItem)
					if(topicItem) {
						$("#huatibox").show()
						topicItemFnc(topicItem,keywordes)
					}else{
						$("#huatibox").hide()
					}

					//圈友
					var circleFriendItem = data.circleFriendItem
					//console.log("圈友项："+questionItem)
					if(circleFriendItem) {
						$("#quanyoubox").show()
						circleFriendItemFnc(circleFriendItem,keywordes)
					}else{
						$("#quanyoubox").hide()
					}
				}
			}
		}
	});
}
//mescroll函数
function mescorFnc(mescorllId,areaId,keyword){
	var mescroll = new MeScroll(mescorllId, { //第一个参数"mescroll"对应上面布局结构div的id
	   //如果您的下拉刷新是重置列表数据,那么down完全可以不用配置,具体用法参考第一个基础案例
	   //解析: down.callback默认调用mescroll.resetUpScroll(),而resetUpScroll会将page.num=1,再触发up.callback
	    down: {
	        use: false
	    },
	    up: {
	    	//auto:true,//初始化完毕,是否自动触发上拉加载的回调
	        noMoreSize: 5, //如果列表已无数据,可设置列表的总数量要大于半页才显示无更多数据;避免列表数据过少(比如只有一条数据),显示无更多数据会不好看
	        htmlNodata:'<p class="upwarp-nodata">我们是有底线的</p>',
	        offset: 100, //离底部的距离expRecordCanLoadMore
	        toTop:{ //配置回到顶部按钮
				src : "img/to_top_icon.png", //默认滚动到1000px显示,可配置offset修改
				offset : 600
			},
	        callback: function(){
	        	var couponCanLoadMore = localStorage.getItem("search"+areaId+"CanLoadMore")
				if(couponCanLoadMore=="true"){
					var couponPageindex = localStorage.getItem("search"+areaId+"Pageindex")
					couponPageindex = parseInt(couponPageindex)+1
					localStorage.setItem("search"+areaId+"Pageindex",couponPageindex)
					//联网加载数据
					getListDataFromNet(areaId,keyword,function(data){
						//联网成功的回调,隐藏下 拉刷新和上拉加载的状态;
						//mescroll.endSuccess(data.length);//传参:数据的总数; mescroll会自动判断列表如果无任何数据,则提示空;列表无下一页数据,则提示无更多数据;
						mescroll.endSuccess(30);
						//设置列表数据
						setListData(data,areaId);
					}, function(){
						//联网失败的回调,隐藏下拉刷新和上拉加载的状态;
				        mescroll.endErr();
					});
				}else{
					mescroll.endSuccess(0);
					$(".mescroll-upwarp").css("visibility","inherit")
					$(".mescroll-upwarp .upwarp-tip").html("我们是有底线的")
					localStorage.removeItem("search"+areaId+"Pageindex")
					localStorage.removeItem("search"+areaId+"CanLoadMore")
				}

	        }//上拉加载的回调
	    }
	});

}
/*联网加载列表数据*/
function getListDataFromNet(areaId,keyword,successCallback,errorCallback) {
	var token = localStorage.getItem("token")
	var couponPageindex = localStorage.getItem("search"+areaId+"Pageindex")
	if(localStorage.getItem("token")) {
		var urls = "/api/search/public/v2/search/?appId=2&version=2.3.3&pageSize=30&moduleId=1&channelIds=1100,1202,1204,1205,1206,1207,1208,1209,1210,1211,1215,1301,1302,1303,1401&keyword=" + keyword + "&access_token=" + token +"&pageIndex="+couponPageindex
	} else {
		var urls = "/api/search/public/v2/search/?appId=2&version=2.3.3&pageSize=30&moduleId=1&channelIds=1100,1202,1204,1205,1206,1207,1208,1209,1210,1211,1215,1301,1302,1303,1401&keyword=" + keyword +"&pageIndex="+couponPageindex
	}
	console.log(urls)
	$.ajax({
        type: 'GET',
        url: url+urls,
        success: function(datas){
        	//回调
        	successCallback(datas,couponPageindex);
        },
        error: errorCallback
  });

}
/*设置列表数据*/
function setListData(datas,areaId){
	var data = JSON.parse(datas).data
	console.log(data)
	var couponPageindex = localStorage.getItem("search"+areaId+"Pageindex")
	//折扣
	if(areaId=="zkTabs"){
		//折扣项
		var discountItem = data.discountItem
		if(discountItem) {
			var discounts = discountItem.discounts //折扣数组
			var discountTotal = discountItem.discountTotal //折扣总数
			var channelId = discountItem.channelId //频道id
			if(discountTotal/30 < couponPageindex){
				localStorage.setItem("search"+areaId+"CanLoadMore",true)

			}else{
				localStorage.setItem("search"+areaId+"CanLoadMore",false)
			}
			//折扣页显示
			for(var i = 0; i < discounts.length; i++) {
				var titles = discounts[i].title //标题
				var validDates = discounts[i].validDate //有效期
				var remainDayss = discounts[i].remainDays //剩余天数
				var brands = discounts[i].brand //品牌
				var discountIds = discounts[i].id //折扣id
				var coverImages = discounts[i].coverImg //封面图
				var dl = '<dl onclick="openzhekoulist(' + discountIds + ')"><dt><img src="' + coverImages + '"/></dt><dd><span>' + brands + '</span><p>' + titles + '</p><div class="box3-min-dd-bot"><i>有效期至' + validDates + '</i><b>剩余' + remainDayss + '天</b></div></dd></dl>'
				$("#zhekou1 .box3-min").append(dl)
			}
		}
	}
	//报价
	if(areaId=="bjTabs"){
		//报价项
		var quotationItem = data.comparePriceItem
		if(quotationItem) {
			var quotations = quotationItem.compareprices //报价数组
			var quotationTotal = quotationItem.comparePriceTotal //报价数量
			var channelId = quotationItem.channelId //频道id
			if(quotationTotal/30 < couponPageindex){
				localStorage.setItem("search"+areaId+"CanLoadMore",true)

			}else{
				localStorage.setItem("search"+areaId+"CanLoadMore",false)
			}
			//报价
			for(var i = 0; i < quotations.length; i++) {
				var coverImages = quotations[i].image //封面图
				var names = quotations[i].name //标题
				var ids = quotations[i].v3Id
				var pricess = quotations[i].HKDPrice //eg:香港专柜价：HK$275/118ml
				var source = quotations[i].source
				if(source==null||source==""){
			    	source="香港最低价"
				}
				var dl = '<dl onclick="openbaojialist(' + ids + ')"><dt><img src="' + coverImages + '"  /></dt><dd><span style="display: -webkit-box;-webkit-box-orient: vertical; -webkit-line-clamp: 2;overflow: hidden;">' + names + '</span><div class="box4-min-dd-bot">'+source+'<p>HK$'+pricess+'</p></div></dd></dl>'
				$("#baojia1 .box4-min").append(dl)
			}
		}
	}
	//攻略
	if(areaId=="glTabs"){
		//攻略项
		var strategyItem = data.strategyItem
		if(strategyItem) {
			var strategies = strategyItem.strategies //攻略数组
			var strategyTotal = strategyItem.strategyTotal //攻略数量
			var channelId = strategyItem.channelId //频道
			if(strategyTotal/30 < couponPageindex){
				localStorage.setItem("search"+areaId+"CanLoadMore",true)

			}else{
				localStorage.setItem("search"+areaId+"CanLoadMore",false)
			}
			//攻略页面
			for(var i = 0; i < strategies.length; i++) {
				var summary = strategies[i].summary
				var favorites = strategies[i].favorites
				var summary = strategies[i].summary
				var comments = strategies[i].comments
				var coverImg = strategies[i].coverImg
				var created = strategies[i].created
				created= created.split(" ")[0]
				timeArr = created.split('-')
		        for(var m=0;m<timeArr.length;m++){
		            createdstime = timeArr.join("/")
		        }
				var reads = strategies[i].reads
				var content = strategies[i].content
				var categoryNames = strategies[i].categoryNames
				var score = strategies[i].score
				var categoryIds = strategies[i].categoryIds
				var name = strategies[i].name
				var shareUrl = strategies[i].shareUrl
				var id = strategies[i].id
				var shareds = strategies[i].shareds
				var likes = strategies[i].likes
				var browseNum = ""
                var collecTotal = ""

                if(strategies[i].browseNum > 10000) {
                	browseNum = Math.floor(strategies[i].browseNum / 10000) + "万+";
                } else {
                	browseNum = strategies[i].browseNum+"";
                }

                if(strategies[i].collectTotal > 10000) {
                	collecTotal = Math.floor(strategies[i].collectTotal / 10000) + "万+";
               	} else {
                 	collecTotal = strategies[i].collectTotal;
                }
				var dl = '<dl onclick="opengongluelist('+id+')"><dt><img src="'+coverImg+'"/></dt><dd><span>'+name+'</span><div class="box5-min-dd-bot"><i>'+createdstime+'&emsp;'+browseNum+'浏览&emsp;'+collecTotal+'收藏</i></div></dd></dl>'
				$("#gonglue1 .box5-min").append(dl)
			}
		}
	}
	//商城
	if(areaId=="scTabs"){
		//商城项
		var productItem = data.productItem
		if(productItem) {
			var products = productItem.products //商品数组
			var productTotal = productItem.productTotal //搜索到的商品总数
			var channelId = productItem.channelId //频道id
			if(productTotal/30 < couponPageindex){
				localStorage.setItem("search"+areaId+"CanLoadMore",true)

			}else{
				localStorage.setItem("search"+areaId+"CanLoadMore",false)
			}
			//商城页面
			for(var i = 0; i < products.length; i++) {
				var companyIds = products[i].companyId
				var productIds = products[i].productId
				var currentStatuss = products[i].currentStatus
				var coverImages = products[i].coverImage
				var productPriceUnits = products[i].productPriceUnit
				var productReferencePrices = parseFloat(products[i].productReferencePrice).toFixed(2)
				var productRackRates = parseFloat(products[i].productRackRate).toFixed(2)
				var productNames = products[i].productName
				var channelIds = products[i].channelId
				var saless = products[i].sales
				var productTypes = products[i].productType
				var dl = '<dl onclick="openshangchenglist(' + productIds + ')"><dt><img src="' + coverImages + '"/></dt><dd><span>' + productNames + '</span><div class="box6-min-dd-bot"><div class="box6-min-dd-bot-left"><span>' + productPriceUnits + productReferencePrices + '</span><i>' + productPriceUnits + productRackRates + '</i></div><b>已售：<span>' + saless + '份</span></b></div></dd></dl>'
				$("#shangpin1 .box6-min").append(dl)
			}
		}
	}
}
//折扣
function discountItemFnc(discountItem,areaId,keywordes){
	var discounts = discountItem.discounts //折扣数组
	var discountTotal = discountItem.discountTotal //折扣总数
	var channelId = discountItem.channelId //频道id
	if(discountTotal>15){
		mescorFnc("mescroll0","zkTabs",keywordes)
	}
	//折扣总数大于三条
	if(discounts.length > 3) {
		$("#zhekoubox .box3-bot").css("display", "flex")
		var index = 3

	} else {
		$("#zhekoubox .box3-bot").css("display", "none")
		if(discounts.length<=0){
			$("#zk .nr").css("display", "flex")
			$("#zhekoubox").hide()
		}
		var index = discounts.length
	}
	if(discountTotal/30>1){
		localStorage.setItem("search"+areaId+"CanLoadMore",true)
		localStorage.setItem("search"+areaId+"Pageindex",1)
	}else{
		localStorage.setItem("search"+areaId+"CanLoadMore",false)
	}
	//首页显示
	for(var i = 0; i < index ; i++) {
		var titles = discounts[i].title //标题
		var validDates = discounts[i].validDate //有效期
		var remainDayss = discounts[i].remainDays //剩余天数
		var brands = discounts[i].brand //品牌
		var discountIds = discounts[i].id //折扣id
		var coverImages = discounts[i].coverImg //封面图
		var dl = '<dl onclick="openzhekoulist(' + discountIds + ')"><dt><img src="' + coverImages + '"/></dt><dd><span>' + brands + '</span><p>' + titles + '</p><div class="box3-min-dd-bot"><i>有效期至' + validDates + '</i><b>剩余' + remainDayss + '天</b></div></dd></dl>'
		$("#zhekou .box3-min").append(dl)
	}
	//折扣页显示
	for(var i = 0; i < discounts.length; i++) {
		var titles = discounts[i].title //标题
		var validDates = discounts[i].validDate //有效期
		var remainDayss = discounts[i].remainDays //剩余天数
		var brands = discounts[i].brand //品牌
		var discountIds = discounts[i].id //折扣id
		var coverImages = discounts[i].coverImg //封面图
		var dl = '<dl onclick="openzhekoulist(' + discountIds + ')"><dt><img src="' + coverImages + '"/></dt><dd><span>' + brands + '</span><p>' + titles + '</p><div class="box3-min-dd-bot"><i>有效期至' + validDates + '</i><b>剩余' + remainDayss + '天</b></div></dd></dl>'
		$("#zhekou1 .box3-min").append(dl)
	}
}
//报价
function quotationItemFnc(quotationItem,areaId,keywordes){
	var quotations = quotationItem.compareprices //报价数组
	var quotationTotal = quotationItem.comparePriceTotal //报价数量
	var channelId = quotationItem.channelId //频道id
	if(quotationTotal>15){
		mescorFnc("mescroll1","bjTabs",keywordes)
	}
	if(quotations.length>3){
		$("#baojiabox .box4-bot").css("display", "flex")
		var index = 3
	}else{
		$("#baojiabox .box4-bot").css("display", "none")
		if(quotations.length<=0){
			$("#bj .nr").css("display", "flex")
			$("#baojiabox").hide()
		}
		var index = quotations.length
	}
	if(quotationTotal/30>1){
		localStorage.setItem("search"+areaId+"CanLoadMore",true)
		localStorage.setItem("search"+areaId+"Pageindex",1)
	}else{
		localStorage.setItem("search"+areaId+"CanLoadMore",false)
	}
	//首页显示
	for(var i = 0; i < index; i++) {
		var coverImages = quotations[i].image //封面图
		var names = quotations[i].name //标题
		var ids = quotations[i].v3Id
		var pricess = quotations[i].HKDPrice //eg:香港专柜价：HK$275/118ml
//		var Areas = pricess[0].Area //香港专柜价
//		var PriceFroms = pricess[0].PriceFrom //275
//		var PriceTos = pricess[0].PriceTo //275
//		var PriceUnits = pricess[0].PriceUnit //HK$
//		var ExInfos = pricess[0].ExInfo //  /118ml
        var brand = quotations[i].brand
        var source = quotations[i].source
        if(source==null||source==""){
            source="香港最低价"
        }
		var dl = '<dl onclick="openbaojialist(' + ids + ')"><dt><img src="' + coverImages + '" /></dt><dd><span style="font-size:13px;color:#50596C;">'+brand+'</span><span style="margin-top: -6px;display: -webkit-box;-webkit-box-orient: vertical; -webkit-line-clamp: 1;overflow: hidden;">' + names + '</span><div class="box4-min-dd-bot">'+source+'<p>HK$'+pricess+'</p></div></dd></dl>'
		$("#baojia .box4-min").append(dl)
	}
	//报价页显示
	for(var i = 0; i < quotations.length; i++) {
		var coverImages = quotations[i].image //封面图
		var names = quotations[i].name //标题
		var ids = quotations[i].v3Id
		var pricess = quotations[i].HKDPrice //eg:香港专柜价：HK$275/118ml
//		var Areas = pricess[0].Area //香港专柜价
//		var PriceFroms = pricess[0].PriceFrom //275
//		var PriceTos = pricess[0].PriceTo //275
//		var PriceUnits = pricess[0].PriceUnit //HK$
//		var ExInfos = pricess[0].ExInfo //  /118ml
        var brand = quotations[i].brand
        var source = quotations[i].source
        if(source==null||source==""){
        	source="香港最低价"
       	}
		var dl = '<dl onclick="openbaojialist(' + ids + ')"><dt><img src="' + coverImages + '" /></dt><dd><span style="font-size:13px;color:#50596C;">'+brand+'</span><span style="margin-top: -6px;display: -webkit-box;-webkit-box-orient: vertical; -webkit-line-clamp: 1;overflow: hidden;">' + names + '</span><div class="box4-min-dd-bot">'+source+'<p>HK$'+pricess+'</p></div></dd></dl>'
		$("#baojia1 .box4-min").append(dl)
	}

}
//攻略
function strategyItemFnc(strategyItem,areaId,keywordes){
	var strategies = strategyItem.strategies //攻略数组
	var strategyTotal = strategyItem.strategyTotal //攻略数量
	var channelId = strategyItem.channelId //频道
	if(strategyTotal>15){
		mescorFnc("mescroll2","glTabs",keywordes)
	}
	if(strategies.length > 3) {
		$("#gongluebox .box5-bot").css("display", "flex")
		var index = 3
	} else {
		$("#gongluebox .box5-bot").css("display", "none")
		if(strategies.length<=0){
			$("#gl .nr").css("display", "flex")
			$("#gongluebox").hide()
		}
		var index = strategies.length
	}
	if(strategyTotal/30>1){
		localStorage.setItem("search"+areaId+"CanLoadMore",true)
		localStorage.setItem("search"+areaId+"Pageindex",1)
	}else{
		localStorage.setItem("search"+areaId+"CanLoadMore",false)
	}
	//首页显示
	for(var i = 0; i < index; i++) {
		var summary = strategies[i].summary
		var favorites = strategies[i].favorites
		var summary = strategies[i].summary
		var comments = strategies[i].comments
		var coverImg = strategies[i].coverImg
		var created = strategies[i].created
		created= created.split(" ")[0]
		timeArr = created.split('-')
        for(var m=0;m<timeArr.length;m++){
            createdstime = timeArr.join("/")
        }
		var reads = strategies[i].reads
		var content = strategies[i].content
		var categoryNames = strategies[i].categoryNames
		var score = strategies[i].score
		var categoryIds = strategies[i].categoryIds
		var name = strategies[i].name
		var shareUrl = strategies[i].shareUrl
		var id = strategies[i].id
		var shareds = strategies[i].shareds
		var likes = strategies[i].likes
		var browseNum = ""
        var collecTotal = ""
        if(strategies[i].browseNum > 10000) {
        	browseNum = Math.floor(strategies[i].browseNum / 10000) + "万+";
        } else {
            browseNum = strategies[i].browseNum+"";
        }
        if(strategies[i].collectTotal > 10000) {
             collecTotal = Math.floor(strategies[i].collectTotal / 10000) + "万+";
        } else {
        	collecTotal = strategies[i].collectTotal;
        }
		var dl = '<dl onclick="opengongluelist('+id+')"><dt><img src="'+coverImg+'"/></dt><dd><span>'+name+'</span><div class="box5-min-dd-bot"><i>'+createdstime+'&emsp;'+browseNum+'浏览&emsp;'+collecTotal+'收藏</i></div></dd></dl>'
		$("#gonglue .box5-min").append(dl)
	}
	//攻略页面
	for(var i = 0; i < strategies.length; i++) {
		var summary = strategies[i].summary
		var favorites = strategies[i].favorites
		var summary = strategies[i].summary
		var comments = strategies[i].comments
		var coverImg = strategies[i].coverImg
		var created = strategies[i].created
		created= created.split(" ")[0]
		timeArr = created.split('-')
        for(var m=0;m<timeArr.length;m++){
            createdstime = timeArr.join("/")
        }
		var reads = strategies[i].reads
		var content = strategies[i].content
		var categoryNames = strategies[i].categoryNames
		var score = strategies[i].score
		var categoryIds = strategies[i].categoryIds
		var name = strategies[i].name
		var shareUrl = strategies[i].shareUrl
		var id = strategies[i].id
		var shareds = strategies[i].shareds
		var likes = strategies[i].likes
		var browseNum = ""
        var collecTotal = ""
        if(strategies[i].browseNum > 10000) {
        	browseNum = Math.floor(strategies[i].browseNum / 10000) + "万+";
        } else {
            browseNum = strategies[i].browseNum+"";
        }
        if(strategies[i].collectTotal > 10000) {
             collecTotal = Math.floor(strategies[i].collectTotal / 10000) + "万+";
        } else {
        	collecTotal = strategies[i].collectTotal;
        }
		var dl = '<dl onclick="opengongluelist('+id+')"><dt><img src="'+coverImg+'"/></dt><dd><span>'+name+'</span><div class="box5-min-dd-bot"><i>'+createdstime+'&emsp;'+browseNum+'浏览&emsp;'+collecTotal+'收藏</i></div></dd></dl>'
		$("#gonglue1 .box5-min").append(dl)
	}
}
//商城
function productItemFnc(productItem,areaId,keywordes){
	var products = productItem.products //商品数组
	var productTotal = productItem.productTotal //搜索到的商品总数
	var channelId = productItem.channelId //频道id
	if(productTotal>15){
		mescorFnc("mescroll3","scTabs",keywordes)
	}
	if(products.length > 3) {
		$("#shangpinbox .box6-bot").css("display", "flex")
		var index = 3
	} else {
		$("#shangpinbox .box6-bot").css("display", "none")
		if(products.length<=0){
			$("#sc .nr").css("display", "flex")
			$("#shangpinbox").hide()
		}
		var index = products.length
	}
    if(productTotal/30>1){
		localStorage.setItem("search"+areaId+"CanLoadMore",true)
		localStorage.setItem("search"+areaId+"Pageindex",1)
	}else{
		localStorage.setItem("search"+areaId+"CanLoadMore",false)
	}

	//首页显示
	for(var i = 0; i < index; i++) {
		var companyIds = products[i].companyId
		var productIds = products[i].productId
		var currentStatuss = products[i].currentStatus
		var coverImages = products[i].coverImage
		var productPriceUnits = products[i].productPriceUnit
		var productReferencePrices = parseFloat(products[i].productReferencePrice).toFixed(2)
		var productRackRates = parseFloat(products[i].productRackRate).toFixed(2)
		var productNames = products[i].productName
		var channelIds = products[i].channelId
		var saless = products[i].sales
		var productTypes = products[i].productType
		var dl = '<dl onclick="openshangchenglist(' + productIds + ')"><dt><img src="' + coverImages + '"/></dt><dd><span>' + productNames + '</span><div class="box6-min-dd-bot"><div class="box6-min-dd-bot-left"><span>' + productPriceUnits + productReferencePrices + '</span><i>' + productPriceUnits + productRackRates + '</i></div><b>已售：<span>' + saless + '份</span></b></div></dd></dl>'
		$("#shangpin .box6-min").append(dl)
	}
	//商城页面
	for(var i = 0; i < products.length; i++) {
		var companyIds = products[i].companyId
		var productIds = products[i].productId
		var currentStatuss = products[i].currentStatus
		var coverImages = products[i].coverImage
		var productPriceUnits = products[i].productPriceUnit
		var productReferencePrices = parseFloat(products[i].productReferencePrice).toFixed(2)
		var productRackRates = parseFloat(products[i].productRackRate).toFixed(2)
		var productNames = products[i].productName
		var channelIds = products[i].channelId
		var saless = products[i].sales
		var productTypes = products[i].productType
		var dl = '<dl onclick="openshangchenglist(' + productIds + ')"><dt><img src="' + coverImages + '"/></dt><dd><span>' + productNames + '</span><div class="box6-min-dd-bot"><div class="box6-min-dd-bot-left"><span>' + productPriceUnits + productReferencePrices + '</span><i>' + productPriceUnits + productRackRates + '</i></div><b>已售：<span>' + saless + '份</span></b></div></dd></dl>'
		$("#shangpin1 .box6-min").append(dl)
	}
}
//专题***
function quotationSpecialItemFnc(quotationSpecialItem,keywordes){
	var quotationSpecials = quotationSpecialItem.quotationSpecials //专题数组
	var quotationSpecialTotal = quotationSpecialItem.quotationSpecialTotal //总数
	var channelId = quotationSpecialItem.channelId //频道
	if(quotationSpecials.length > 3) {
		$("#zhuantibox .box5-bot").css("display", "flex")
		var index = 3
	} else {
		$("#zhuantibox .box5-bot").css("display", "none")
		if(quotationSpecials.length<=0){
			$("#zhuantibox").hide()
		}
		var index = quotationSpecials.length
	}
	
	for(var i = 0; i < index; i++) {
		var summarys = quotationSpecials[i].summary
		var favoritess = quotationSpecials[i].favorites
		var commentss = quotationSpecials[i].comments
		var coverImgs = quotationSpecials[i].coverImg
		var createds = quotationSpecials[i].created
        createds= createds.split(" ")[0]
        timeArr = createds.split('-')
        for(var m=0;m<timeArr.length;m++){
            createdstime = timeArr.join("/")
        }
		var readss = quotationSpecials[i].reads
		var contents = quotationSpecials[i].content
		var categoryNamess = quotationSpecials[i].categoryNames
		var scores = quotationSpecials[i].score
		var categoryIdss = quotationSpecials[i].categoryIds
		var names = quotationSpecials[i].name
		var shareUrls = quotationSpecials[i].shareUrl
		var ids = quotationSpecials[i].id
		var sharedss = quotationSpecials[i].shareds
		var likess = quotationSpecials[i].likes
	    var dl = '<dl onclick="openzhuantilist('+ids+',\''+categoryIdss+'\')"><dt><img src="'+coverImgs+'"/></dt><dd><span>'+names+'</span><div class="box5-min-dd-bot"><i>更新日期：'+createdstime+'</i></div></dd></dl>'
		$("#zhuanti .box5-min").append(dl)
	}
	//点击查看更多
	$("#zhuantibox .box5-bot").on("click", function() {
		localStorage.setItem("zhuantiKeyword", keywordes)
		//专题查看更多（二级页面）
		var mainActivity = plus.android.runtimeMainActivity();
        	Intent = plus.android.importClass('android.content.Intent');
		var intent = new Intent();
		intent.putExtra("request_url", "searchZhuanti.html");
		intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.SDKWebViewActivity');
		mainActivity.startActivity(intent); //打开activity
	})
}
//购物****
function shopItemFnc(shopItem,keywordes){
	var shops = shopItem.shops //商场数组
	var shopTotal = shopItem.shopTotal //商场数量
	var channelId = shopItem.channelId //频道id
	if(shops.length > 3) {
		$("#shangchangbox .box7-bot").css("display", "flex")
		var index = 3
	} else {
		$("#shangchangbox .box7-bot").css("display", "none")
		if(shops.length<=0){
			$("#shangchangbox").hide()
		}
		var index = shops.length
	}
	for(var i = 0; i < index; i++) {
		var scores = shops[i].score
		var categoryIdss = shops[i].categoryIds
		var commentss = shops[i].comments
		var coverImgs = shops[i].coverImg
		var names = shops[i].name
		if(shops[i].stationName){
		    var stationNames = shops[i].stationName
		}else{
		    var stationNames = ""
		}
		var ids = shops[i].id
		var channelIds = shops[i].channelId
		var stationIds = shops[i].stationId
		var dl = '<dl onclick="openshangchanglist('+ids+',\''+channelIds+'\')"><dt><img src="' + coverImgs + '"/></dt><dd><span>' + names + '</span><div class="box7-min-dd-bot"><div class="box7-min-dd-bot-left"><ul>' + scoreLi(scores) + '<span style="margin-top:-3px;font-size:12px;margin-left: 4px;">'+commentss+'点评</span></ul><i><span>' + stationNames + '</span></i></div></div></dd></dl>'
		$("#shangchang .box7-min").append(dl)
	}
	$("#shangchangbox .box7-bot").on("click", function() {
		localStorage.setItem("scSearchkw", keywordes)
		//商场查看更多（二级页面）
		var mainActivity = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass('android.content.Intent');
		var intent = new Intent();
		intent.putExtra("request_url", "searchSchangchang.html");
		intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.SDKWebViewActivity');
		mainActivity.startActivity(intent); //打开activity
	})
}
//景点
function scenicSpotItemFnc(scenicSpotItem,keywordes){
	var scenicSpots = scenicSpotItem.scenicSpots //景点数组
	var scenicSpotTotal = scenicSpotItem.scenicSpotTotal //景点总数
	var channelId = scenicSpotItem.channelId //频道id
	if(scenicSpots.length > 3) {
		$("#jingdianbox .box12-bot").css("display", "flex")
		var index = 3
	} else {
		$("#jingdianbox .box12-bot").css("display", "none")
		if(scenicSpots.length<=0){
			$("#jingdianbox").hide()
		}
		var index = scenicSpots.length
	}
	for(var i = 0; i < index; i++) {
		var categoryIdss = scenicSpots[i].categoryIds
		var commentss = scenicSpots[i].comments
		var coverImgs = scenicSpots[i].coverImg
		var ids = scenicSpots[i].id
		var names = scenicSpots[i].name
		var scores = scenicSpots[i].score
		if(scenicSpots[i].stationName){
		    var stationNames = scenicSpots[i].stationName
		}else{
		    var stationNames = ""
		}
		var channelIds = scenicSpots[i].channelId
		var stationIds = scenicSpots[i].stationId
		var dl = '<dl onclick="openjingdianlist('+ids+',\''+channelIds+'\')"><dt><img src="' + coverImgs + '"/></dt><dd><span>' + names + '</span><div class="box12-min-dd-bot"><div class="box12-min-dd-bot-left"><ul>' + scoreLi(scores) + '<span style="margin-top:-3px;font-size:12px;margin-left: 4px;">'+commentss+'点评</span></ul><i><span>' + stationNames + '</span></i></div></div></dd></dl>'
		$("#jingdian .box12-min").append(dl)
	}
	$("#jingdianbox .box12-bot").on("click", function() {
		localStorage.setItem("jdSearchkw", keywordes)
		//景点查看更多（二级页面）
		var mainActivity = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass('android.content.Intent');
		var intent = new Intent();
		intent.putExtra("request_url", "searchjd.html");
		intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.SDKWebViewActivity');
		mainActivity.startActivity(intent); //打开activity
	})
}
//美食
function foodItemFnc(foodItem,keywordes){
	var foods = foodItem.foods //美食数组
	var foodTotal = foodItem.foodTotal //美食总数
	var channelId = foodItem.channelId //频道id
	if(foods.length > 3) {
		$("#meishibox .box13-bot").css("display", "flex")
		var index = 3
	} else {
		$("#meishibox .box13-bot").css("display", "none")
		if(foods.length<=0){
			$("#meishibox").hide()
		}
		var index = foods.length 
	}
	for(var i = 0; i < index; i++) {
		var categoryIdss = foods[i].categoryIds
		var commentss = foods[i].comments
		var coverImgs = foods[i].coverImg
		var ids = foods[i].id
		var likess = foods[i].likes
		var names = foods[i].name
		var perpay = foods[i].perpay
		if(foods[i].stationName){
		    var stationNames = foods[i].stationName
		}else{
		     var stationNames =  ""
		}

		var stationIds = foods[i].stationId
		var scores = foods[i].score
		var dl = '<dl onclick="openmeishilist(' + ids + ')"><dt><img src="' + coverImgs + '"/></dt><dd><span>' + names + '</span><div class="box13-min-dd-bot"><div class="box13-min-dd-bot-left"><ul>' + scoreLi(scores) + '<span style="margin-top:-3px;font-size:12px;margin-left: 4px;">'+commentss+'点评</span></ul><i><span>' + stationNames + '</span></i></div></div></dd></dl>'
		$("#meishi .box13-min").append(dl)
	}
	$("#meishibox .box13-bot").on("click", function() {
		localStorage.setItem("msSearchkw", keywordes)
		//美食查看更多（二级页面）
		var mainActivity = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass('android.content.Intent');
		var intent = new Intent();
		intent.putExtra("request_url", "searchms.html");
		intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.SDKWebViewActivity');
		mainActivity.startActivity(intent); //打开activity
	})
}
//演出
function showItemFnc(showItem,keywordes){
	var shows = showItem.shows //演出数组
	var showTotal = showItem.showTotal //演出总数
	var channelId = showItem.channelId //频道id
	if(shows.length > 3) {
		$("#yanchubox .box14-bot").css("display", "flex")
		var index = 3
	} else {
		$("#yanchubox .box14-bot").css("display", "none")
		if(shows.length<=0){
			$("#yanchubox").hide()
		}
		var index = shows.length
	}
	for(var i = 0; i < index; i++) {
		var categoryIdss = shows[i].categoryIds
		var commentss = shows[i].comments
		var coverImgs = shows[i].coverImg
		var ids = shows[i].id
		var names = shows[i].name
		var stationIds = shows[i].stationId
		var scores = shows[i].score
		var showDate =shows[i].showDate
		var venueAdd = shows[i].venueAdd
		var dl = '<dl onclick="openyanchulist(' + ids + ')"><dt><img src="' + coverImgs + '"/></dt><dd><span>' + names + '</span><div class="box14-min-dd-bot"><div class="box14-min-dd-bot-left"><span style="font-size:12px;display: inherit;">时间：'+showDate+'</span><span style="font-size:12px;">场馆：' + venueAdd + '</span></i></div></div></dd></dl>'
		$("#yanchu .box14-min").append(dl)
	}
	$("#yanchubox .box14-bot").on("click", function() {
		localStorage.setItem("ycSearchkw", keywordes)
		//美食查看更多（二级页面）
		var mainActivity = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass('android.content.Intent');
		var intent = new Intent();
		intent.putExtra("request_url", "searchyc.html");
		intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.SDKWebViewActivity');
		mainActivity.startActivity(intent); //打开activity
	})
}
//展会
function exhibitionItemFnc(exhibitionItem,keywordes){
	var exhibitions = exhibitionItem.exhibitions //展会数组
	var exhibitionTotal = exhibitionItem.exhibitionTotal //展会总数
	var channelId = exhibitionItem.channelId //频道id
	if(exhibitions.length > 3) {
		$("#zhanhuibox .box15-bot").css("display", "flex")
		var index = 3
	} else {
		$("#zhanhuibox .box15-bot").css("display", "none")
		if(exhibitions.length<=0){
			$("#zhanhuibox").hide()
		}
		var index = exhibitions.length
	}
	for(var i = 0; i < index; i++) {
		var categoryIdss = exhibitions[i].categoryIds
		var commentss = exhibitions[i].comments
		var coverImgs = exhibitions[i].coverImg
		var ids = exhibitions[i].id
		var names = exhibitions[i].name
		var showDate =exhibitions[i].showDate
		var exhiAdd =exhibitions[i].exhiAdd
		if(exhibitions[i].stationName){
		    var stationNames = exhibitions[i].stationName
		}else{
		    var stationNames = ""
		}

		var stationIds = exhibitions[i].stationId
		var scores = exhibitions[i].score
		var dl = '<dl onclick="openzhanhuilist(' + ids + ')"><dt><img src="' + coverImgs + '"/></dt><dd><span>' + names + '</span><div class="box15-min-dd-bot"><div class="box15-min-dd-bot-left"><span style="font-size:12px;display: inherit;">时间：'+showDate+'</span><span style="font-size:12px;">场馆：' + exhiAdd + '</span></i></div></div></dd></dl>'
		$("#zhanhui .box15-min").append(dl)
	}
	$("#zhanhuibox .box15-bot").on("click", function() {
		localStorage.setItem("zhSearchkw", keywordes)
		//美食查看更多（二级页面）
		var mainActivity = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass('android.content.Intent');
		var intent = new Intent();
		intent.putExtra("request_url", "searchzh.html");
		intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.SDKWebViewActivity');
		mainActivity.startActivity(intent); //打开activity
	})
}
//动态
function gossipItemFnc(gossipItem,keywordes){
	var gossips = gossipItem.gossips //动态数组
	var gossipTotal = gossipItem.gossipTotal //动态总数
	var channelId = gossipItem.channelId //频道id
	if(gossips.length > 3) {
		$("#dongtaibox .box8-bot").css("display", "flex")
		var index = 3
	} else {
		$("#dongtaibox .box8-bot").css("display", "none")
		if(gossips.length<=0){
			$("#dongtaibox").hide()
		}
		var index = gossips.length
	}
	var gossips = gossips.slice(0,index)
	$("#dongtai .box8-min").append(dongtaiTemplate(gossips))
	for(var i = 0; i < index; i++) {
		//图片数组
		var gossipImages = gossips[i].gossipImages;
		imgDispose($("#dongtai .box8-min").find("#gossipId" + gossips[i].gossipId), gossipImages);
	}
	$("#dongtaibox .box8-bot").on("click", function() {
		localStorage.setItem("dongtaiKeyword", keywordes)
		//动态查看更多（二级页面）
		var mainActivity = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass('android.content.Intent');
		var intent = new Intent();
		intent.putExtra("request_url", "searchDongtai.html");
		intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.SDKWebViewActivity');
		mainActivity.startActivity(intent); //打开activity
	})
}
//问答
function questionItemFnc(questionItem,keywordes){
	var questions = questionItem.questions //问答数组
	var questionTotal = questionItem.questionTotal //问答总数
	var channelId = questionItem.channelId //频道id
	if(questions.length > 3) {
		$("#wendabox .box9-bot").css("display", "flex")
		var index = 3
	} else {
		$("#wendabox .box9-bot").css("display", "none")
		if(questions.length<=0){
			$("#wendabox").hide()
		}
		var index = questions.length
	}
	var questions = questions.slice(0,index)
	$("#wenda .box9-min").append(wendaTemplate(questions))
	$("#wendabox .box9-bot").on("click", function() {
		localStorage.setItem("wendaKeyword", keywordes)
		//问答查看更多（二级页面）
		var mainActivity = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass('android.content.Intent');
		var intent = new Intent();
		intent.putExtra("request_url", "searchWenda.html");
		intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.SDKWebViewActivity');
		mainActivity.startActivity(intent); //打开activity
	})
}
//话题
function topicItemFnc(topicItem,keywordes){
	var topics = topicItem.topics //话题数组
	var topicTotal = topicItem.topicTotal //话题总数
	var channelId = topicItem.channelId //频道id
	if(topics.length > 3) {
		$("#huatibox .box10-bot").css("display", "flex")
		var index = 3
	} else {
		$("#huatibox .box10-bot").css("display", "none")
		if(topics.length<=0){
			$("#huatibox").hide()
		}
		var index = topics.length
	}
	var topics = topics.slice(0,index)
	$("#huati .box10-min").append(huatiTemplate(topics))
	$("#huatibox .box10-bot").on("click", function() {
		localStorage.setItem("huatiKeyword", keywordes)
		//话题查看更多（二级页面）
		var mainActivity = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass('android.content.Intent');
		var intent = new Intent();
		intent.putExtra("request_url", "searchHuati.html");
		intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.SDKWebViewActivity');
		mainActivity.startActivity(intent); //打开activity
	})
}
//圈友
function circleFriendItemFnc(circleFriendItem,keywordes){
	var circleFriends = circleFriendItem.circleFriends //圈友数组
	var circleFriendTotal = circleFriendItem.circleFriendTotal //圈友总数
	var channelId = circleFriendItem.channelId //频道id
	if(circleFriends.length > 3) {
		$("#quanyoubox .box11-bot").css("display", "flex")
		var index = 3
	} else {
		$("#quanyoubox .box11-bot").css("display", "none")
		if(circleFriends.length<=0){
			$("#quanyoubox").hide()
		}
		var index = circleFriends.length
	}
	var circleFriends = circleFriends.slice(0,index)
	$("#quanyou .box11-min").append(quanyouTemplate(circleFriends))
	for(var i = 0; i < index; i++) {
		//性别
		if(circleFriends[i].gender == '0') {
			$('#quanyou .box11-min').find("#userId" + circleFriends[i].userId + " .xingbie").attr("src", "img/xingbienv.png"); //女士
		} else {
			$('#quanyou .box11-min').find("#userId" + circleFriends[i].userId + " .xingbie").attr("src", "img/xingbienan.png"); //男士
		}
	}
	$("#quanyoubox .box11-bot").on("click", function() {
		localStorage.setItem("quanyouKeyword", keywordes)
		//圈友查看更多（二级页面）
		var mainActivity = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass('android.content.Intent');
		var intent = new Intent();
		intent.putExtra("request_url", "searchQuanyou.html");
		intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.SDKWebViewActivity');
		mainActivity.startActivity(intent); //打开activity
	})
}

//折扣详情
function openzhekoulist(product_id) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("product_id", product_id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.discount.DetailDiscountAct');
	mainActivity.startActivity(intent); //打开activity
}
//报价详情
function openbaojialist(shopId) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	 intent.putExtra("product_id", shopId+"");
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.homePriceratio.PriceratioDetailActivity');
	mainActivity.startActivity(intent); //打开activity
}
//攻略详情
function opengongluelist(product_id) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("product_id", product_id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.strategy.DetailTripJournalAct');
	mainActivity.startActivity(intent); //打开activity
}
//商城详情
function openshangchenglist(product_id) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("product_id", product_id);

	intent.setClassName(mainActivity, 'com.pocketmacao.ui.homeMarket.DetailMarketAct');
	mainActivity.startActivity(intent); //打开activity
}
//专题详情
function openzhuantilist(shopId, category_id) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("product_id", shopId);
	intent.putExtra("category_id", category_id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.DetailProjectAct');
	mainActivity.startActivity(intent); //打开activity
}
//商场详情
function openshangchanglist(product_id,channelId) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("product_id", product_id);
	intent.putExtra("channel_id", channelId);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.DetailShoppingAct');
	mainActivity.startActivity(intent); //打开activity
}
//景点详情
function openjingdianlist(product_id,channelId) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("product_id", product_id);
	intent.putExtra("channel_id", channelId);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.DetailScenicSpotAct');
	mainActivity.startActivity(intent); //打开activity
}
//美食详情
function openmeishilist(product_id) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("product_id", product_id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.DetailRestaurantAct');
	mainActivity.startActivity(intent); //打开activity
}
//演出详情
function openyanchulist(product_id) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("product_id", product_id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.DetailVenueAct');
	mainActivity.startActivity(intent); //打开activity
}
//展会详情
function openzhanhuilist(product_id) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("product_id", product_id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.DetailExhibitionAct');
	mainActivity.startActivity(intent); //打开activity
}
//动态
function openDongSpeciallist(id) {

	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("gossip_id", id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.homePocket.GossipDetailActivity');
	mainActivity.startActivity(intent); //打开activity
}
//话题
function openHuaSpeciallist(id) {
	cancelBubble();
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("topic_id", id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.homePocket.TopicDetailActivity');
	mainActivity.startActivity(intent); //打开activity
}
//问答
function openWenSpeciallist(id) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("question_id", id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.homePocket.QuestionDetailActivity');
	mainActivity.startActivity(intent); //打开activity
}
//圈友
function openQuanSpeciallist(id) {
	cancelBubble();
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("user_id", id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.homeMine.user.PersonalInfoActivity');
	mainActivity.startActivity(intent); //打开activity
}
//分享
function share(obj) {
	cancelBubble();
	var title = $("#"+obj).find(".nickName").text() + "的分享";
	var gossipContent = $("#"+obj).find(".gossipContent").text();
	var shareUrl = $("#"+obj).find(".shareUrl").attr("shareUrl");
	var coverImage = $("#"+obj).find(".imageUrl").eq(0).attr("src");
	var mainActivity = plus.android.runtimeMainActivity();
	var ShareV4Fragment = plus.android.importClass('com.pocketmacao.ui.fragment.ShareV4Fragment');
	var ShareImpl = plus.android.importClass('com.pocketmacao.share.ShareImpl');
	var mShare = ShareV4Fragment.createInstance(ShareImpl.getInstance().setContent( gossipContent ).setTitle( title ).setTargetUrl( shareUrl ).setImageUrl(""+coverImage+""));
	mShare.show(mainActivity.getSupportFragmentManager(), "");
}
//关注
function follow(id, follow, obj) {
	cancelBubble();
	var mainActivity = plus.android.runtimeMainActivity();
    var UserManager = plus.android.importClass("com.pocketmacao.manager.UserManager");
    var token = UserManager.getToken();
	var followNum = Number($(obj).attr("followNum"));
	if(token) {
		followNum++;
		$(obj).attr("followNum",followNum);
		if(follow == 0) {
			follow = 1;
		} else {
			follow = 0;
		}
		if(followNum % 2 != 0) {
			follow = follow;
		} else {
			if(follow == 0) {
				follow = 1;
			} else {
				follow = 0;
			}
		}
		$.ajax({
			type: "post",
			url: url + "/api/user/custom/v1/follow",
			data: {
				beFollowUserId: id,
				follow: follow,
				access_token: token,
				appId: 2,
				platform: 0,
				apiVersion: '2.3.3',
				version: '2.3.3',
			},
			async: true,
			beforeSend: function() {
				$("#listSearch").empty()
			},
			success: function(datas) {
				datas = JSON.parse(datas);
				if(datas.status == '0') {
					if(datas.data.userRelation == '0') {
						$(obj).find("img").attr("src", "img/attention.png"); //未关注
						$(obj).find("img").css("width", "1.2rem"); //互相关注
					} else if(datas.data.userRelation == '1') {
						$(obj).find("img").attr("src", "img/attention.png"); //我的粉丝
						$(obj).find("img").css("width", "1.2rem"); //互相关注
					} else if(datas.data.userRelation == '2') {
						$(obj).find("img").attr("src", "img/followed.png"); //我关注的
						$(obj).find("img").css("width", "1.2rem"); //互相关注
					} else if(datas.data.userRelation == '3') {
						$(obj).find("img").attr("src", "img/together.png"); //互相关注
						$(obj).find("img").css("width", "1.4rem"); //互相关注
					}
				}

				var mainActivity = plus.android.runtimeMainActivity();
				var ToastUtil = plus.android.importClass("com.pocketmacao.uitl.ToastUtil");
				ToastUtil.toastDefault(mainActivity, datas.message);
			}
		});
	} else {
		var mainActivity = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass('android.content.Intent');
		var intent = new Intent();
		//		intent.putExtra("id", id);
		intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.LoginActivity');
		mainActivity.startActivity(intent); //打开activity
	}

}

//点赞
function like(gossipId, isLike, obj) {
	cancelBubble();
	var mainActivity = plus.android.runtimeMainActivity();
	var Toast = plus.android.importClass("android.widget.Toast");
	var UserManager = plus.android.importClass("com.pocketmacao.manager.UserManager");
	var isMerchant = UserManager.isMerchant();
	var token = UserManager.getToken();
	var likeNum = Number($(obj).attr("likeNum"));
	if(token) {
		likeNum++;
		$(obj).attr("likeNum",likeNum);
		isLike = !isLike;
		if(likeNum % 2 == 0) {
			isLike = !isLike;
		}
		if(isLike) {
			isLike = 1;
		} else {
			isLike = 0;
		}
		$.ajax({
			type: "post",
			url: url + "/api/like/custom/like",
			data: {
				channelId: 1302,
				productId: gossipId,
				like: isLike,
				access_token: token,
				appId: 2,
				platform: 0,
				apiVersion: '2.3.3',
				version: '2.3.3',
			},
			async: true,
			beforeSend: function() {
				$("#listSearch").empty()
			},
			success: function(datas) {
				datas = JSON.parse(datas);
				if(datas.status == '0') {
					if(datas.data.isLike) {
						if(datas.data.likeSuccess) {
							$(obj).find("img").attr("src", "img/hongzan.png");
							if($(obj).find("i").text() == '赞') {
								$(obj).find("i").text('1')
							} else {
								var numLikeNow = Number($(obj).find("i").text()) + 1;
								$(obj).find("i").text(numLikeNow)
							}
						}
					} else {
						$(obj).find("img").attr("src", "img/zan.png");
						if($(obj).find("i").text() == '1') {
							$(obj).find("i").text('赞')
						} else {
							var numLikeNow = Number($(obj).find("i").text()) - 1;
							$(obj).find("i").text(numLikeNow)
						}

					}
				}
				var mainActivity = plus.android.runtimeMainActivity();
				var ToastUtil = plus.android.importClass("com.pocketmacao.uitl.ToastUtil");
				ToastUtil.toastDefault(mainActivity, datas.message);
			}
		});
	} else {
		var mainActivity = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass('android.content.Intent');
		var intent = new Intent();
		//		intent.putExtra("id", id);
		intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.LoginActivity');
		mainActivity.startActivity(intent); //打开activity
	}
}
//阻止事件冒泡
function cancelBubble(e) {
	var evt = e ? e : window.event;
	if(evt.stopPropagation) { //W3C
		evt.stopPropagation();
	} else { //IE
		evt.cancelBubble = true;
	}
}
//时间戳转换为年月日
function add0(m) {
	return m < 10 ? '0' + m : m
}

function format(shijianchuo) {
	//shijianchuo是整数，否则要parseInt转换
	var time = new Date(shijianchuo);
	var y = time.getFullYear();
	var m = time.getMonth() + 1;
	var d = time.getDate();
	var h = time.getHours();
	var mm = time.getMinutes();
	var s = time.getSeconds();
	return y + '/' + add0(m) + '/' + add0(d);
}

//图片居中
function imgDispose(obj, gossipImages) {
	if(gossipImages.length == '1') {
		var height = 0;
		if(gossipImages[0].imageHeight / gossipImages[0].imageWidth * 702 > (702 - 24) * 3 / 4) {
			height = (702 - 24) * 3 / 4;
		} else {
			height = gossipImages[0].imageHeight / gossipImages[0].imageWidth * 702;
		}
		obj.find(".gossipImages span").css({
			"width": "7.02rem",
			"height": height / 100 + "rem",
		})
	} else if(gossipImages.length == '2' || gossipImages.length == '4') {
		obj.find(".gossipImages span").css({
			"width": "3.49rem",
			"height": "3.49rem",
			"margin-left": "0.04rem",
			"margin-bottom": "0.04rem",
		})
		for(var j = 0; j < gossipImages.length; j++) {
			if(j == '0' || j == "2") {
				obj.find(".gossipImages span").eq(j).css({
					"margin-left": "0",
				})
			}
		}
	} else {
		obj.find(".gossipImages span").css({
			"width": "2.31rem",
			"height": "2.31rem",
			"margin-right": "0.04rem",
			"margin-bottom": "0.04rem",
		})
	}
}
function in_array(stringToSearch, arrayToSearch) {
	for(s = 0; s < arrayToSearch.length; s++) {
		thisEntry = arrayToSearch[s].toString();
		if(thisEntry == stringToSearch) {
			return true;
		}
	}
	return false;
}


// 扩展API准备完成后要执行的操作
function cancel() {
	plus.webview.currentWebview().canBack(function(event) {
		var canBack = event.canBack;
		if(canBack) {
			plus.webview.currentWebview().back();
		} else {
			plus.runtime.quit();
		}
	});
}

function scoreLi(score) {
	if(score >= 0 && score < 1) {
		if(score==0){
				return li = '<li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 0.1) {
			return li = '<li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.028rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li style="posirtion:relative"><img src="img/huise.png"/></li>'
		}
		if(score == 0.2) {
			return li = '<li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.056rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li style="posirtion:relative"><img src="img/huise.png"/></li>'
		}
		if(score == 0.3) {
			return li = '<li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.084rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li style="posirtion:relative"><img src="img/huise.png"/></li>'
		}
		if(score == 0.4) {
			return li = '<li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.112rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li style="posirtion:relative"><img src="img/huise.png"/></li>'
		}
		if(score == 0.5) {
			return li = '<li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.14rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li style="posirtion:relative"><img src="img/huise.png"/></li>'
		}
		if(score == 0.6) {
			return li = '<li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.168rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li style="posirtion:relative"><img src="img/huise.png"/></li>'
		}
		if(score == 0.7) {
			return li = '<li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.196rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li style="posirtion:relative"><img src="img/huise.png"/></li>'
		}
		if(score == 0.8) {
			return li = '<li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.224rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li style="posirtion:relative"><img src="img/huise.png"/></li>'
		}
		if(score == 0.9) {
			return li = '<li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.252rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li style="posirtion:relative"><img src="img/huise.png"/></li>'
		}

	} else if(score >= 1 && score < 2) {
		if(score == 1.0){
			return li = '<li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.028rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}

		if(score == 1.1) {
			return li = '<li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.028rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 1.2) {
			return li = '<li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.056rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 1.3) {
			return li = '<li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.084rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 1.4) {
			return li = '<li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.112rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 1.5) {
			return li = '<li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.14rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 1.6) {
			return li = '<li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.168rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 1.7) {
			return li = '<li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.196rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 1.8) {
			return li = '<li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.224rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 1.9) {
			return li = '<li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.252rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
	} else if(score >= 2 && score < 3) {
		return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		if(score == 2.1) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.028rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 2.2) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.056rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 2.3) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.084rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 2.4) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.112rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 2.5) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.14rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 2.6) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.168rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 2.7) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.196rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 2.8) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.224rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 2.9) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.252rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
	} else if(score >= 3 && score < 4) {
		if(score == 3.0){
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/huise.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 3.1) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.028rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 3.2) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.056rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 3.3) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.084rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 3.4) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.112rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 3.5) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.14rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 3.6) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.168rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 3.7) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.196rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 3.8) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.224rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li>'

		}
		if(score == 3.9) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.252rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li><li><img src="img/huise.png"/></li>'
		}

	} else if(score >= 4 && score < 5) {
		if(score == 4){
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/huise.png"/></li>'
		}
		if(score == 4.1) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.028rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li>'
		}
		if(score == 4.2) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.056rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li>'
		}
		if(score == 4.3) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.084rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li>'
		}
		if(score == 4.4) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.112rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li>'
		}
		if(score == 4.5) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.14rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li>'
		}
		if(score == 4.6) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.168rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li>'
		}
		if(score == 4.7) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.196rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li>'
		}
		if(score == 4.8) {
			var li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.224rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li>'
			return li

		}
		if(score == 4.9) {
			return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li style="position:relative"><img src="img/huise.png"/><div style="position:absolute;left:0;top:0;height:0.28rem;width:0.252rem;overflow:hidden"><img src="img/liangse.png" class="positionImg" style="width:0.28rem;height:0.28rem;display:block"/></div></li>'
		}
	} else if(score >= 5) {
		return li = '<li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li><li><img src="img/liangse.png"/></li>'

	}
}