var channelIds = '1301,1302,1303,1401';
var pageIndex = 1;
var pageSize = 3;
var count = 0;
var version = '2.3.3';
var appId = 2;
var platform = 0;
var apiVersion = 2;
var item2 = document.getElementById('item2mobile');
var item3 = document.getElementById('item3mobile');
var item4 = document.getElementById('item4mobile');
var item5 = document.getElementById('item5mobile');
var dongtaiTemplate = Handlebars.compile($('#dongtai-template').html());
var wendaTemplate = Handlebars.compile($('#wenda-template').html());
var huatiTemplate = Handlebars.compile($('#huati-template').html());
var quanyouTemplate = Handlebars.compile($('#quanyou-template').html());
Handlebars.registerHelper("imgPic", function(headPic) {
	return headPic;
});
Handlebars.registerHelper("dateToDaytimeNew", function(created) {
	var date = new Date(created);
	var newdate = new Date();
	var localtime = date.getTime();
	var datetime = newdate.getTime();
	var result = "";
	var fenzhong = Math.round((datetime - localtime) / (1000 * 60)); //求出两个时间的时间差，这个是分钟。
	var xiaoshi = Math.round((datetime - localtime) / (1000 * 3600)); //求出两个时间的时间差，这个是小时。
	var tian = Math.round((datetime - localtime) / (1000 * 3600 * 24)); //求出两个时间的时间差，这个是天。
	var zhou = Math.round((datetime - localtime) / (1000 * 3600 * 24 * 7)); //求出两个时间的时间差，这个是天。
	var yue = Math.round((datetime - localtime) / (1000 * 3600 * 24 * 30)); //求出两个时间的时间差，这个是月。

	if(fenzhong < 1) {
		result = "刚刚";

	} else if(fenzhong < 60 && fenzhong >= 1) {
		result = fenzhong + "分钟前";

	} else if(xiaoshi < 24) {
		result = xiaoshi + "小时前";

	} else if(tian <= 7) {
		result = tian + " 天前";
	} else if(zhou <= 4) {
		result = zhou + "周前";
	} else if(yue <= 12) {
		result = yue + "月前";
	} else {
		result = date.getFullYear() + "-" + (date.getMonth() + 1) + "-" + date.getDate()
	}
	return result;
});
$(function() {

	mui.plusReady(function() {
		$('.mui-scroll-wrapper').scroll({
			//		bounce: false,
			//		indicators: true //是否显示滚动条
			deceleration: 0.0005
		});
		document.getElementById('slider').addEventListener('slide', function(e) {
			if(e.detail.slideNumber === 1) {
				if(item2.querySelector('.mui-loading')) {
					pageSize = 10000;
					channelIds = '1302';
					searchFnc();
				}
			} else if(e.detail.slideNumber === 2) {
				if(item3.querySelector('.mui-loading')) {
					pageSize = 10000;
					channelIds = '1303';
					searchFnc();
				}
			} else if(e.detail.slideNumber === 3) {
				if(item4.querySelector('.mui-loading')) {
					pageSize = 10000;
					channelIds = '1301';
					searchFnc();
				}
			} else if(e.detail.slideNumber === 4) {
				if(item5.querySelector('.mui-loading')) {
					pageSize = 10000;
					channelIds = '1401';
					searchFnc();
				}
			}
		});
		//获取token
		var mainActivity = plus.android.runtimeMainActivity();
		var Toast = plus.android.importClass("android.widget.Toast");
		var UserManager = plus.android.importClass("com.pocketmacao.manager.UserManager");
		var isMerchant = UserManager.isMerchant();
		var token = UserManager.getToken();
	})
	var box3Name = '#dongtai';
	var box4Name = '#wenda';
	var box5Name = '#huati';
	var box6Name = '#quanyou';
	var keyWorders = '澳门'
	$.ajax({
		type: "get",
		url: url + "/api/search/public/v2/search?appId=2&moduleId=1&version=" + version + "&pageIndex=" + pageIndex + "&pageSize=" + pageSize + "&channelIds=" + channelIds + "&keyword=" + keyWorders,
		async: true,
		success: function(datas) {
			var datas = JSON.parse(datas)
			var status = datas.status;
			if(status == 0) {
				$("#animate").hide();
				//动态
				if(box3Name == '#dongtai-list' && item2.querySelector('.mui-loading')) {
					item2.querySelector('.mui-loading').remove()
				}
				if(datas.data.gossipItem) {
					$(box3Name).parents(".mui-active").find(".box3").show();
					var gossips = datas.data.gossipItem.gossips;
					$(box3Name).append(dongtaiTemplate(gossips));
					for(var i = 0; i < gossips.length; i++) {
						//关注
						attention($(box3Name), gossips[i], 'gossipId');
						//图片数组
						var gossipImages = gossips[i].gossipImages;
						imgDispose($(box3Name).find("#gossipId" + gossips[i].gossipId), gossipImages);
					}
				} else {
					//						item2.querySelector('.mui-loading').;
					$(box3Name).parents(".mui-active").find(".box3").hide();
				}
				//问答
				if(box4Name == '#wenda-list' && item3.querySelector('.mui-loading')) {
					item3.querySelector('.mui-loading').remove();
				}
				if(datas.data.questionItem) {
					$(box4Name).parents(".mui-active").find(".box4").show();
					$(box4Name).append(wendaTemplate(datas.data.questionItem.questions));
				} else {
					//					item3.querySelector('.mui-loading').hidden
					$(box4Name).parents(".mui-active").find(".box4").hide();
				}
				//话题
				if(box5Name == '#huati-list' && item4.querySelector('.mui-loading')) {
					item4.querySelector('.mui-loading').remove()
				}
				if(datas.data.topicItem) {
					$(box5Name).parents(".mui-active").find(".box5").show();
					$(box5Name).append(huatiTemplate(datas.data.topicItem.topics));

				} else {
					//					item4.querySelector('.mui-loading').hidden
					$(box5Name).parents(".mui-active").find(".box5").hide();
				}
				//圈友
				if(box6Name == '#quanyou-list' && item5.querySelector('.mui-loading')) {
					item5.querySelector('.mui-loading').remove()
				}
				if(datas.data.circleFriendItem) {
					$(box6Name).parents(".mui-active").find(".box6").show();
					var circleFriends = datas.data.circleFriendItem.circleFriends;
					$(box6Name).append(quanyouTemplate(circleFriends));
					for(var i = 0; i < circleFriends.length; i++) {
						//性别
						if(circleFriends[i].gender == '0') {
							$(box6Name).find("#userId" + circleFriends[i].userId + " .xingbie").attr("src", "img/xingbienv.png"); //女士
						} else {
							$(box6Name).find("#userId" + circleFriends[i].userId + " .xingbie").attr("src", "img/xingbienan.png"); //男士
						}
						//关注
						attention($(box6Name), circleFriends[i], 'userId');
					}

				} else {
					//						item5.querySelector('.mui-loading').hidden
					$(box6Name).parents(".mui-active").find(".box6").hide();
				}
				//			头像加载失败
				$(".headImg").on("error", function() {
					$(this).attr("src", "img/defaultHead.png");
				})
			}
			if(box3Name == '#dongtai-list' && datas.total == '0') {
				$("#dongNoContent").show();
			}
			if(box4Name == '#wenda-list' && datas.total == '0') {
				$("#wenNoContent").show();
			}
			if(box5Name == '#huati-list' && datas.total == '0') {
				$("#huaNoContent").show();
			}
			if(box6Name == '#quanyou-list' && datas.total == '0') {
				$("#quanNoContent").show();
			}
		}
	})

	//查看更多
	$('.box3-bot').on('click', function(e) {
		e.preventDefault();
		//模拟第二个选项卡点击
		mui.trigger(document.getElementById("header2"), 'touchstart');
		mui.trigger(document.getElementById("header2"), 'tap');
	});
	$('.box4-bot').on('click', function(e) {
		e.preventDefault();
		//模拟第三个选项卡点击
		mui.trigger(document.getElementById("header3"), 'touchstart');
		mui.trigger(document.getElementById("header3"), 'tap');
	});
	$('.box5-bot').on('click', function(e) {
		e.preventDefault();
		//模拟第四个选项卡点击
		mui.trigger(document.getElementById("header4"), 'touchstart');
		mui.trigger(document.getElementById("header4"), 'tap');
	});
	$('.box6-bot').on('click', function(e) {
		e.preventDefault();
		//模拟第五个选项卡点击
		mui.trigger(document.getElementById("header5"), 'touchstart');
		mui.trigger(document.getElementById("header5"), 'tap');
	});
//	$(".mui-control-content").css("height", ((window.screen.height - 96) * window.devicePixelRatio / 130.667 - 0.94 - 0.8) + "rem");

})
//搜索
function searchFnc() {
	var box3Name = '#dongtai';
	var box4Name = '#wenda';
	var box5Name = '#huati';
	var box6Name = '#quanyou';

	$("#noContent").hide();
	if(channelIds == '1302') { //动态
		box3Name = '#dongtai-list';
	}
	if(channelIds == '1303') { //问答
		box4Name = '#wenda-list';
	}
	if(channelIds == '1301') { //话题
		box5Name = '#huati-list';
	}
	if(channelIds == '1401') { //圈友
		box6Name = '#quanyou-list';
	}
	$.ajax({
		type: "get",
		url: url + "/api/search/public/v2/search?appId=2&moduleId=1&version=" + version + "&pageIndex=" + pageIndex + "&pageSize=" + pageSize + "&channelIds=" + channelIds + "&keyword=" + keyword,
		async: true,
		success: function(datas) {
			var datas = JSON.parse(datas)
			var status = datas.status;
			if(status == 0) {
				$("#animate").hide();
				//动态
				if(box3Name == '#dongtai-list' && item2.querySelector('.mui-loading')) {
					item2.querySelector('.mui-loading').remove()
				}
				if(datas.data.gossipItem) {
					$(box3Name).parents(".mui-active").find(".box3").show();
					var gossips = datas.data.gossipItem.gossips;
					$(box3Name).append(dongtaiTemplate(gossips));
					for(var i = 0; i < gossips.length; i++) {
						//关注
						attention($(box3Name), gossips[i], 'gossipId');
						//图片数组
						var gossipImages = gossips[i].gossipImages;
						imgDispose($(box3Name).find("#gossipId" + gossips[i].gossipId), gossipImages);
					}
				} else {
					//						item2.querySelector('.mui-loading').;
					$(box3Name).parents(".mui-active").find(".box3").hide();
				}
				//问答
				if(box4Name == '#wenda-list' && item3.querySelector('.mui-loading')) {
					item3.querySelector('.mui-loading').remove();
				}
				if(datas.data.questionItem) {
					$(box4Name).parents(".mui-active").find(".box4").show();
					$(box4Name).append(wendaTemplate(datas.data.questionItem.questions));
				} else {
					//					item3.querySelector('.mui-loading').hidden
					$(box4Name).parents(".mui-active").find(".box4").hide();
				}
				//话题
				if(box5Name == '#huati-list' && item4.querySelector('.mui-loading')) {
					item4.querySelector('.mui-loading').remove()
				}
				if(datas.data.topicItem) {
					$(box5Name).parents(".mui-active").find(".box5").show();
					$(box5Name).append(huatiTemplate(datas.data.topicItem.topics));

				} else {
					//					item4.querySelector('.mui-loading').hidden
					$(box5Name).parents(".mui-active").find(".box5").hide();
				}
				//圈友
				if(box6Name == '#quanyou-list' && item5.querySelector('.mui-loading')) {
					item5.querySelector('.mui-loading').remove()
				}
				if(datas.data.circleFriendItem) {
					$(box6Name).parents(".mui-active").find(".box6").show();
					var circleFriends = datas.data.circleFriendItem.circleFriends;
					$(box6Name).append(quanyouTemplate(circleFriends));
					for(var i = 0; i < circleFriends.length; i++) {
						//性别
						if(circleFriends[i].gender == '0') {
							$(box6Name).find("#userId" + circleFriends[i].userId + " .xingbie").attr("src", "img/xingbienv.png"); //女士
						} else {
							$(box6Name).find("#userId" + circleFriends[i].userId + " .xingbie").attr("src", "img/xingbienan.png"); //男士
						}
						//关注
						attention($(box6Name), circleFriends[i], 'userId');
					}

				} else {
					//						item5.querySelector('.mui-loading').hidden
					$(box6Name).parents(".mui-active").find(".box6").hide();
				}
				//			头像加载失败
				$(".headImg").on("error", function() {
					$(this).attr("src", "img/defaultHead.png");
				})
			}
			if(box3Name == '#dongtai-list' && datas.total == '0') {
				$("#dongNoContent").show();
			}
			if(box4Name == '#wenda-list' && datas.total == '0') {
				$("#wenNoContent").show();
			}
			if(box5Name == '#huati-list' && datas.total == '0') {
				$("#huaNoContent").show();
			}
			if(box6Name == '#quanyou-list' && datas.total == '0') {
				$("#quanNoContent").show();
			}
		}
	});
}
//关注换图
function attention(obj, arri, id) {
	if(arri.userRelation == '0') {
		obj.find("#" + id + arri.id).find(".attention").attr("src", "img/attention.png"); //未关注
	} else if(arri.userRelation == '1') {
		obj.find("#" + id + arri.id + " .attention").attr("src", "img/attention.png"); //我的粉丝
	} else if(arri.userRelation == '2') {
		obj.find("#" + id + arri.id + " .attention").attr("src", "img/followed.png"); //我关注的
	} else if(arri.userRelation == '3') {
		obj.find("#" + id + arri.id + " .attention").attr("src", "img/together.png"); //互相关注
		obj.find("#" + id + arri.id + " .attention").css("width", "1.4rem");
	}
}

//图片居中
function imgDispose(obj, gossipImages) {
	if(gossipImages.length == '1') {
		var height = 0;
		if(gossipImages[0].imageHeight / gossipImages[0].imageWidth * 702 > (702 - 24) * 3 / 4) {
			height = (702 - 24) * 3 / 4;
		} else {
			height = gossipImages[0].imageHeight / gossipImages[0].imageWidth * 702;
		}
		obj.find(".gossipImages span").css({
			"width": "7.02rem",
			"height": height / 100 + "rem",
		})
		var img = document.createElement("img");
		img.src = gossipImages[0].imageUrl;
		obj.find(".gossipImages span").eq(0).append(img);
		imgChange(img, 702, height);
	} else if(gossipImages.length == '2' || gossipImages.length == '4') {
		obj.find(".gossipImages span").css({
			"width": "3.49rem",
			"height": "3.49rem",
			"margin-left": "0.04rem",
			"margin-bottom": "0.04rem",
		})
		for(var j = 0; j < gossipImages.length; j++) {
			var img = document.createElement("img");
			img.src = gossipImages[j].imageUrl;
			obj.find(".gossipImages span").eq(j).append(img);
			imgChange(img, 349, 349);
			if(j == '0' || j == "2") {
				obj.find(".gossipImages span").eq(j).css({
					"margin-left": "0",
				})
			}
		}
	} else {
		obj.find(".gossipImages span").css({
			"width": "2.31rem",
			"height": "2.31rem",
			"margin-right": "0.04rem",
			"margin-bottom": "0.04rem",
		})
		for(var j = 0; j < gossipImages.length; j++) {
			var img = document.createElement("img");
			img.src = gossipImages[j].imageUrl;
			obj.find(".gossipImages span").eq(j).append(img);
			imgChange(img, 231, 231);
		}
	}
}

function imgChange(obj, width, height) {
	obj.onload = function(e) {
		e.stopPropagation();
		if(this.width / this.height > width / height) {
			$(this).css({
				"top": "0",
				"left": -(this.width / this.height * height - width) / 2 / 100 + "rem",
				"height": height / 100 + "rem",
				"width": "auto"
			});
		} else {
			$(this).css({
				"left": "0",
				"top": -(this.height / this.width * width - height) / 2 / 100 + "rem",
				"width": width / 100 + "rem",
				"height": "auto"
			});
		}
	}
}

//打开页面
//动态
function openDongSpeciallist(id) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("gossip_id", id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.homePocket.GossipDetailActivity');
	mainActivity.startActivity(intent); //打开activity
}
//话题
function openHuaSpeciallist(id) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("topic_id", id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.homePocket.TopicDetailActivity');
	mainActivity.startActivity(intent); //打开activity
}
//问答
function openWenSpeciallist(id) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("question_id", id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.homePocket.QuestionDetailActivity');
	mainActivity.startActivity(intent); //打开activity
}
//圈友
function openQuanSpeciallist(id) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("id", id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.newactivity.UserInfoActivity');
	mainActivity.startActivity(intent); //打开activity
}
// 扩展API准备完成后要执行的操作
function plusReady() {
	plus.webview.currentWebview().canBack(function(event) {
		var canBack = event.canBack;
		if(canBack) {
			plus.webview.currentWebview().back();
		} else {
			plus.runtime.quit();
		}
	});
}
//分享
function share(username, shareUrl, gossipContent) {
	cancelBubble();
	var title = username + "的分享";
	//	var coverImage = imageUrl;
	var mainActivity = plus.android.runtimeMainActivity();
	var ShareV4Fragment = plus.android.importClass('com.pocketmacao.ui.fragment.ShareV4Fragment');
	var ShareImpl = plus.android.importClass('com.pocketmacao.share.ShareImpl');
	var mShare = ShareV4Fragment.createInstance(ShareImpl.getInstance().setContent("" + gossipContent + "").setTitle("" + title + "").setTargetUrl("" + shareUrl + "").setImageUrl("" + coverImage + ""));
	Share.show(mainActivity.getSupportFragmentManager(), "");
}
//关注
function follow(id, follow) {
	cancelBubble();
	if(follow == 0) {
		follow = 1;
	} else {
		follow = 0;
	}
	$.ajax({
		type: "post",
		url: url + "/api/user/custom/v1/follow",
		data: {
			beFollowUserId: id,
			follow: follow,
			access_token: token,
			appId: appId,
			platform: platform,
			apiVersion: apiVersion,
			version: version,
		},
		async: true,
		beforeSend: function() {
			$("#listSearch").empty()
		},
		success: function(datas) {
			console.log(datas);
		}
	});
}
//点赞
function like(gossipId, isLike) {
	cancelBubble();
	isLike = !isLike;
	$.ajax({
		type: "post",
		url: url + "/api/like/custom/like",
		data: {
			channelId: 1302,
			productId: gossipId,
			like: isLike,
			access_token: token,
			appId: appId,
			platform: platform,
			apiVersion: apiVersion,
			version: version,
		},
		async: true,
		beforeSend: function() {
			$("#listSearch").empty()
		},
		success: function(datas) {
			console.log(datas);
		}
	});
}
//阻止事件冒泡
function cancelBubble(e) {
	var evt = e ? e : window.event;
	if(evt.stopPropagation) { //W3C 
		evt.stopPropagation();
	} else { //IE      
		evt.cancelBubble = true;
	}
}