$(function() {
XBack.listen(function(){
        cancel()
    });
    mui.back = function() {
                    plus.runtime.quit();
                 }
	mui.init({
		pullRefresh: {
			container: '#pullrefresh',
			down: {
				callback: pulldownRefresh
			}
		}
	});
})
mui.plusReady(function() {
	var mainActivity = plus.android.runtimeMainActivity();
	var Toast = plus.android.importClass("android.widget.Toast");
	var UserManager = plus.android.importClass("com.pocketmacao.manager.UserManager");
	var isMerchant = UserManager.isMerchant();
	var token = UserManager.getToken();
	localStorage.setItem("token", token)
})
var dongtaiTemplate = Handlebars.compile($('#dongtai-template').html());
Handlebars.registerHelper("imgPic", function(headPic) {
	if(headPic.indexOf("null") > -1 || headPic == '') {
		headPic = "img/defaultHead.png";
	}
	return headPic;
});
Handlebars.registerHelper("dateToDaytimeNew", function(created) {
	var date = new Date(created);
	var newdate = new Date();
	var localtime = date.getTime();
	var datetime = newdate.getTime();
	var result = "";
	var fenzhong = Math.floor((datetime - localtime) / (1000 * 60)); //求出两个时间的时间差，这个是分钟。
	var xiaoshi = Math.floor((datetime - localtime) / (1000 * 3600)); //求出两个时间的时间差，这个是小时。
	var tian = Math.floor((datetime - localtime) / (1000 * 3600 * 24)); //求出两个时间的时间差，这个是天。
	var zhou = Math.floor((datetime - localtime) / (1000 * 3600 * 24 * 7)); //求出两个时间的时间差，这个是天。
	var yue = Math.floor((datetime - localtime) / (1000 * 3600 * 24 * 30)); //求出两个时间的时间差，这个是月。

	if(fenzhong < 1) {
		result = "刚刚";

	} else if(fenzhong < 60 && fenzhong >= 1) {
		result = fenzhong + "分钟前";

	} else if(xiaoshi < 24) {
		result = xiaoshi + "小时前";

	} else if(tian <= 7) {
		result = tian + " 天前";
	} else {
		result = date.getFullYear() + "-" + (date.getMonth() + 1) + "-" + date.getDate()
	}
	return result;
});
Handlebars.registerHelper("pageViews", function(pageView) {
	var pageViews = "";
	if(pageView > 10000) {
		pageViews = Math.floor(pageView / 10000) + "万+";
	} else {
		pageViews = pageView;
	}
	return pageViews;
});
Handlebars.registerHelper("attentionImg", function(userRelation) {
	var attentionImg = "";
	if(userRelation == 0) {
		attentionImg = '<img src="img/attention.png"/>';
	} else if(userRelation == 1) {
		attentionImg = '<img src="img/attention.png"/>';
	} else if(userRelation == 2) {
		attentionImg = '<img src="img/followed.png"/>';
	} else if(userRelation == 3) {
		attentionImg = '<img src="img/together.png"/>';
	}
	return attentionImg;
});
var keywordes = localStorage.getItem("dongtaiKeyword")
searchFnc(keywordes)
window.addEventListener('showPage', function(event) {
	//获得事件参数
	var keyWorders = event.detail.keyWorders;
	console.log(keyWorders)
	localStorage.setItem("dongtaiKeyword", keyWorders)
	searchFnc(keyWorders)
})
//input框输入内容显示list
window.addEventListener('showList', function(event) {
	//获得事件参数
	var keyWorders = event.detail.keyWorders;
	if(keyWorders.length > 0) {
		//console.log(keyWorders)
		$.ajax({
			type: "get",
			url: url + "/api/search/public/v1/preview/?appId=2&keyword=" + keyWorders,
			async: true,
			beforeSend: function() {
				$("#listSearch").empty()
			},
			success: function(datas) {
				$("#listSearch").show()
				var datas = JSON.parse(datas)
				console.log(datas)
				var status = datas.status
				if(status == 0) {
					var Info = datas.data;
					var keywords = Info.keywords
					var keywordes = keywords.split(",")
					//console.log(keywordes)
					for(var i = 0; i < keywordes.length; i++) {
						if(keywordes[i] != "") {
							//	console.log(keywordes[i])
							var li = '<li onclick=searchFnc(\"' + keywordes[i] + '\")>' + keywordes[i] + '</li>'
							$("#listSearch").append(li)
						}

					}

				}
			}
		});
	} else {
		$("#listSearch").hide()
	}
})
window.addEventListener('submitFnc', function(event) {
	//获得事件参数
	var keyword = event.detail.keyword;
	$(".box1").css("display", "none!important")
	$(".box2").show()
	searchFnc(keyword)
	localStorage.setItem("dongtaiKeyword", keyword)
});

//搜索
function searchFnc(keywordes) {
	$("input").val(keywordes)
	if(arguments.length == 0) {
		keywordes = $('input[type=search]').val();
	} else {
		$('input[type=search]').val(keywordes);
	}
	$(".box1").hide()
	$(".maple-tab").show()
	var urls = '';
	var token = localStorage.getItem("token");
	if(token) {
		urls = url + "/api/search/public/v2/search/?appId=2&version=2.3.3&moduleId=1&channelIds=1302&pageSize=100&keyword=" + keywordes + "&access_token=" + token
	} else {
		urls = url + "/api/search/public/v2/search/?appId=2&version=2.3.3&moduleId=1&channelIds=1302&pageSize=100&keyword=" + keywordes
	}
	//全部
	$.ajax({
		type: "get",
		url: urls,
		async: true,
		beforeSend: function() {
			$("#listSearch").empty()
			$("#listSearch").hide()
			$(".animate").show()
			$(".nr").hide()
			$("#dongtai .box8-min").empty()
		},
		success: function(datas) {
			$(".swiper-container").css("height", "auto")
			$(".animate").hide()
			var datas = JSON.parse(datas)
			//			console.log(datas)
			var status = datas.status
			if(status == 0) {
				var total = datas.total;
				if(total <= 0) {
					$(".nr").css("display", "flex")
				} else {
					$(".nr").hide()
					$(".box2").show()
					var data = datas.data;
					//动态项
					var gossipItem = data.gossipItem
					if(gossipItem) {
						$("#dongtaibox").show()
						var gossips = gossipItem.gossips //动态数组
						var gossipTotal = gossipItem.gossipTotal //动态数量
						var channelId = gossipItem.channelId //频道id
						$('#dongtai .box8-min').append(dongtaiTemplate(gossips));
						for(var i = 0; i < gossips.length; i++) {
							//图片数组
							var gossipImages = gossips[i].gossipImages;
							imgDispose($('#dongtai .box8-min').find("#gossipId" + gossips[i].gossipId), gossipImages);
						}
					} else {
						$("#dongtaibox").hide()
					}
					//头像加载失败
					$(".headImg").on("error", function() {
						$(this).attr("src", "img/defaultHead.png");
					})
				}
			}

		}
	});

}
//图片居中
function imgDispose(obj, gossipImages) {
	if(gossipImages.length == '1') {
		var height = 0;
		if(gossipImages[0].imageHeight / gossipImages[0].imageWidth * 702 > (702 - 24) * 3 / 4) {
			height = (702 - 24) * 3 / 4;
		} else {
			height = gossipImages[0].imageHeight / gossipImages[0].imageWidth * 702;
		}
		obj.find(".gossipImages span").css({
			"width": "7.02rem",
			"height": height / 100 + "rem",
		})
	} else if(gossipImages.length == '2' || gossipImages.length == '4') {
		obj.find(".gossipImages span").css({
			"width": "3.49rem",
			"height": "3.49rem",
			"margin-left": "0.04rem",
			"margin-bottom": "0.04rem",
		})
		for(var j = 0; j < gossipImages.length; j++) {
			if(j == '0' || j == "2") {
				obj.find(".gossipImages span").eq(j).css({
					"margin-left": "0",
				})
			}
		}
	} else {
		obj.find(".gossipImages span").css({
			"width": "2.31rem",
			"height": "2.31rem",
			"margin-right": "0.04rem",
			"margin-bottom": "0.04rem",
		})
	}
}
//分享
function share(obj) {
	cancelBubble();
	var title = $("#" + obj).find(".nickName").text() + "的分享";
	var gossipContent = $("#" + obj).find(".gossipContent").text();
	var shareUrl = $("#" + obj).find(".shareUrl").attr("shareUrl");
	var coverImage = $("#" + obj).find(".imageUrl").eq(0).attr("src");
	var mainActivity = plus.android.runtimeMainActivity();
	var ShareV4Fragment = plus.android.importClass('com.pocketmacao.ui.fragment.ShareV4Fragment');
	var ShareImpl = plus.android.importClass('com.pocketmacao.share.ShareImpl');
	var mShare = ShareV4Fragment.createInstance(ShareImpl.getInstance().setContent(gossipContent).setTitle(title).setTargetUrl(shareUrl).setImageUrl("" + coverImage + ""));
	mShare.show(mainActivity.getSupportFragmentManager(), "");
}
//打开页面
//动态
function openDongSpeciallist(id) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("gossip_id", id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.homePocket.GossipDetailActivity');
	mainActivity.startActivity(intent); //打开activity
}
//话题
function openHuaSpeciallist(id) {
	cancelBubble();
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("topic_id", id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.homePocket.TopicDetailActivity');
	mainActivity.startActivity(intent); //打开activity
}
//圈友
function openQuanSpeciallist(id) {
	cancelBubble();
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("user_id", id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.homeMine.user.PersonalInfoActivity');
	mainActivity.startActivity(intent); //打开activity
}

//关注
function follow(id, follow, obj) {
	cancelBubble();
	var mainActivity = plus.android.runtimeMainActivity();
	var UserManager = plus.android.importClass("com.pocketmacao.manager.UserManager");
	var token = UserManager.getToken();
	var followNum = Number($(obj).attr("followNum"));
	if(token) {
		followNum++;
		$(obj).attr("followNum", followNum);
		if(follow == 0) {
			follow = 1;
		} else {
			follow = 0;
		}
		if(followNum % 2 != 0) {
			follow = follow;
		} else {
			if(follow == 0) {
				follow = 1;
			} else {
				follow = 0;
			}
		}
		$.ajax({
			type: "post",
			url: url + "/api/user/custom/v1/follow",
			data: {
				beFollowUserId: id,
				follow: follow,
				access_token: token,
				appId: 1,
				platform: 0,
				apiVersion: '3.4.1',
				version: '3.4.1',
			},
			async: true,
			beforeSend: function() {
				$("#listSearch").empty()
			},
			success: function(datas) {
				datas = JSON.parse(datas);
				if(datas.status == '0') {
					if(datas.data.userRelation == '0') {
						$(obj).find("img").attr("src", "img/attention.png"); //未关注
						$(obj).find("img").css("width", "1.2rem"); //互相关注
					} else if(datas.data.userRelation == '1') {
						$(obj).find("img").attr("src", "img/attention.png"); //我的粉丝
						$(obj).find("img").css("width", "1.2rem"); //互相关注
					} else if(datas.data.userRelation == '2') {
						$(obj).find("img").attr("src", "img/followed.png"); //我关注的
						$(obj).find("img").css("width", "1.2rem"); //互相关注
					} else if(datas.data.userRelation == '3') {
						$(obj).find("img").attr("src", "img/together.png"); //互相关注
						$(obj).find("img").css("width", "1.4rem"); //互相关注
					}
				}

				var mainActivity = plus.android.runtimeMainActivity();
				var ToastUtil = plus.android.importClass("com.pocketmacao.uitl.ToastUtil");
				ToastUtil.toastDefault(mainActivity, datas.message);
			}
		});
	} else {
		var mainActivity = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass('android.content.Intent');
		var intent = new Intent();
		//		intent.putExtra("id", id);
		intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.LoginActivity');
		mainActivity.startActivity(intent); //打开activity
	}

}
//点赞
function like(gossipId, isLike, obj) {
	cancelBubble();
	var mainActivity = plus.android.runtimeMainActivity();
	var Toast = plus.android.importClass("android.widget.Toast");
	var UserManager = plus.android.importClass("com.pocketmacao.manager.UserManager");
	var isMerchant = UserManager.isMerchant();
	var token = UserManager.getToken();
	var likeNum = Number($(obj).attr("likeNum"));
	if(token) {
		likeNum++;
		$(obj).attr("likeNum", likeNum);
		isLike = !isLike;
		if(likeNum % 2 == 0) {
			isLike = !isLike;
		}
		if(isLike) {
			isLike = 1;
		} else {
			isLike = 0;
		}

		$.ajax({
			type: "post",
			url: url + "/api/like/custom/like",
			data: {
				channelId: 1302,
				productId: gossipId,
				like: isLike,
				access_token: token,
				appId: 1,
				platform: 0,
				apiVersion: '3.4.1',
				version: '3.4.1',
			},
			async: true,
			beforeSend: function() {
				$("#listSearch").empty()
			},
			success: function(datas) {
				datas = JSON.parse(datas);
				if(datas.status == '0') {
					if(datas.data.isLike) {
						if(datas.data.likeSuccess) {
							$(obj).find("img").attr("src", "img/hongzan.png");
							if($(obj).find("i").text() == '赞') {
								$(obj).find("i").text('1')
							} else {
								var numLikeNow = Number($(obj).find("i").text()) + 1;
								$(obj).find("i").text(numLikeNow)
							}
						}
					} else {
						$(obj).find("img").attr("src", "img/zan.png");
						if($(obj).find("i").text() == '1') {
							$(obj).find("i").text('赞')
						} else {
							var numLikeNow = Number($(obj).find("i").text()) - 1;
							$(obj).find("i").text(numLikeNow)
						}

					}
				}
				var mainActivity = plus.android.runtimeMainActivity();
				var ToastUtil = plus.android.importClass("com.pocketmacao.uitl.ToastUtil");
				ToastUtil.toastDefault(mainActivity, datas.message);
			}
		});
	} else {
		var mainActivity = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass('android.content.Intent');
		var intent = new Intent();
		//		intent.putExtra("id", id);
		intent.setClassName(mainActivity, 'com.pocketmacao.ui.activity.LoginActivity');
		mainActivity.startActivity(intent); //打开activity
	}
}
//阻止事件冒泡
function cancelBubble(e) {
	var evt = e ? e : window.event;
	if(evt.stopPropagation) { //W3C
		evt.stopPropagation();
	} else { //IE
		evt.cancelBubble = true;
	}
}