$(function() {
XBack.listen(function(){
        cancel()
    });
    mui.back = function() {
                    plus.runtime.quit();
                 }
	mui.init({
		pullRefresh: {
			container: '#pullrefresh',
			down: {
				callback: pulldownRefresh
			}
		}
	});
})
var wendaTemplate = Handlebars.compile($('#wenda-template').html());
Handlebars.registerHelper("imgPic", function(headPic) {
	if(headPic.indexOf("null") > -1 || headPic == '') headPic = "img/defaultHead.png";
	return headPic;
});
Handlebars.registerHelper("dateToDaytimeNew", function(created) {
	var date = new Date(created);
	var newdate = new Date();
	var localtime = date.getTime();
	var datetime = newdate.getTime();
	var result = "";
	var fenzhong = Math.floor((datetime - localtime) / (1000 * 60)); //求出两个时间的时间差，这个是分钟。
	var xiaoshi = Math.floor((datetime - localtime) / (1000 * 3600)); //求出两个时间的时间差，这个是小时。
	var tian = Math.floor((datetime - localtime) / (1000 * 3600 * 24)); //求出两个时间的时间差，这个是天。
	var zhou = Math.floor((datetime - localtime) / (1000 * 3600 * 24 * 7)); //求出两个时间的时间差，这个是天。
	var yue = Math.floor((datetime - localtime) / (1000 * 3600 * 24 * 30)); //求出两个时间的时间差，这个是月。

	if(fenzhong < 1) {
		result = "刚刚";

	} else if(fenzhong < 60 && fenzhong >= 1) {
		result = fenzhong + "分钟前";

	} else if(xiaoshi < 24) {
		result = xiaoshi + "小时前";

	} else if(tian <= 7) {
		result = tian + " 天前";
	} else {
		result = date.getFullYear() + "-" + (date.getMonth() + 1) + "-" + date.getDate()
	}
	return result;
});
Handlebars.registerHelper("pageViews", function(pageView) {
	var pageViews = "";
	if(pageView > 10000) {
		pageViews = Math.floor(pageView / 10000) + "万+";
	} else {
		pageViews = pageView;
	}
	return pageViews;
});
//localStorage.setItem("wendaKeyword","香港")
var keywordes = localStorage.getItem("wendaKeyword")
searchFnc(keywordes)
window.addEventListener('showPage', function(event) {
	//获得事件参数
	var keyWorders = event.detail.keyWorders;
	console.log(keyWorders)
	localStorage.setItem("wendaKeyword", keyWorders)
	searchFnc(keyWorders)
})
//input框输入内容显示list
window.addEventListener('showList', function(event) {
	//获得事件参数
	var keyWorders = event.detail.keyWorders;
	if(keyWorders.length > 0) {
		//console.log(keyWorders)
		$.ajax({
			type: "get",
			url: url + "/api/search/public/v1/preview/?appId=2&keyword=" + keyWorders,
			async: true,
			beforeSend: function() {
				$("#listSearch").empty()
			},
			success: function(datas) {
				$("#listSearch").show()
				var datas = JSON.parse(datas)
				console.log(datas)
				var status = datas.status
				if(status == 0) {
					var Info = datas.data;
					var keywords = Info.keywords
					var keywordes = keywords.split(",")
					//console.log(keywordes)
					for(var i = 0; i < keywordes.length; i++) {
						if(keywordes[i] != "") {
							//	console.log(keywordes[i])
							var li = '<li onclick=searchFnc(\"' + keywordes[i] + '\")>' + keywordes[i] + '</li>'
							$("#listSearch").append(li)
						}

					}

				}
			}
		});
	} else {
		$("#listSearch").hide()
	}
})
window.addEventListener('submitFnc', function(event) {
	//获得事件参数
	var keyword = event.detail.keyword;
	$(".box1").css("display", "none!important")
	$(".box2").show()
	searchFnc(keyword)
	localStorage.setItem("wendaKeyword", keyword)
});

//搜索
function searchFnc(keywordes) {
	$("input").val(keywordes)
	if(arguments.length == 0) {
		keywordes = $('input[type=search]').val();
	} else {
		$('input[type=search]').val(keywordes);
	}
	$(".box1").hide()
	$(".maple-tab").show()
	//全部
	$.ajax({
		type: "get",
		url: url + "/api/search/public/v2/search/?appId=2&version=2.3.3&moduleId=1&channelIds=1303&pageSize=100&keyword=" + keywordes,
		async: true,
		beforeSend: function() {
			$("#listSearch").empty()
			$("#listSearch").hide()
			$(".animate").show()
			$(".nr").hide()
			$("#wenda .box9-min").empty()
		},
		success: function(datas) {

			$(".swiper-container").css("height", "auto")
			$(".animate").hide()
			var datas = JSON.parse(datas)
			console.log(datas)
			var status = datas.status
			if(status == 0) {
				var total = datas.total;
				if(total <= 0) {
					$(".nr").css("display", "flex")
				} else {
					$(".nr").hide()
					$(".box2").show()
					var data = datas.data;
					console.log(data)
					//问答项
					var questionItem = data.questionItem
					if(questionItem) {
						$("#wendabox").show()
						var questions = questionItem.questions //问答数组
						var questionTotal = questionItem.questionTotal //问答数量
						var channelId = questionItem.channelId //频道id
						$('#wenda .box9-min').append(wendaTemplate(questions));
					} else {
						$("#wendabox").hide()
					}

				}
				//头像加载失败
                					$(".headImg").on("error", function() {
                						$(this).attr("src", "img/defaultHead.png");
                					})
			}

		}
	});
}
//问答
function openWenSpeciallist(id) {
	var mainActivity = plus.android.runtimeMainActivity();
	Intent = plus.android.importClass('android.content.Intent');
	var intent = new Intent();
	intent.putExtra("question_id", id);
	intent.setClassName(mainActivity, 'com.pocketmacao.ui.homePocket.QuestionDetailActivity');
	mainActivity.startActivity(intent); //打开activity
}

