$(function(){
htmlFontSize()
     //扩展API是否准备好，如果没有则监听“plusready"事件
      if(window.plus){
          plusReady();
      }else{
          document.addEventListener( "plusready", plusReady, false );
      }
      // 扩展API准备完成后要执行的操作
      function plusReady(){
      	//后退
      	$("header img").on("click",function(){
               plus.webview.currentWebview().canBack(function(event) {
                  var canBack = event.canBack;
                  if(canBack) {
                       plus.webview.currentWebview().back();
                  } else {
                      plus.runtime.quit();
                  }
              });

      	})
            var mainActivity = plus.android.runtimeMainActivity();
            var Toast = plus.android.importClass("android.widget.Toast");
            var UserManager = plus.android.importClass("com.pocketmacao.manager.UserManager");
            var token = UserManager.getToken();
            var tradeRecordId = localStorage.getItem("tradeRecordId");
            $.ajax({
                type:"get",
                url:url+"/api/tradeRecord/custom/v1/tradeRecord/?access_token="+token+"&tradeRecordId="+tradeRecordId,
                async:true,
                beforeSend:function(){
                    $(".main").css("display","none");
                    $("#lingqu").css("display","none")
                    $("#animate").css("display","block");
                },
                success:function(datas){
                    $(".main").css("display","block");
                    $("#lingqu").css("display","block")
                    $("#animate").css("display","none");
                    var info = datas.data;
                    console.log(info);
                    var orderItem = info.orderItem;
                    var productImage = orderItem.productImage;//产品图
                    var productName = orderItem.productName;//产品名
                    var productPlanPriceUnit = orderItem.productPlanPriceUnit;//单位
                    var productPlanReferencePrice = orderItem.productPlanReferencePrice;//参考价
                    var productPlanRackRate = orderItem.productPlanRackRate;//门市价
                    var productPlanName = orderItem.productPlanName;//套餐名
                    var productQuantity = orderItem.productQuantity;//产品总数
                    var prepaidPrice = orderItem.prepaidPrice;//预付金额
                    var prepaidPriceUnit = orderItem.prepaidPriceUnit;//预付金额单位


                    $(".goodslist_le img").attr("src",productImage);
                    $(".goodslist_ri p").html(productName);
                    $(".hd_1").html(productPlanPriceUnit+productPlanReferencePrice);
                    $(".hd_2").html(productPlanPriceUnit+productPlanRackRate);
                    $(".gtwo_1 i").html(productPlanName);
                    $(".gtwo_2 i").html(productQuantity);
                    $(".gtwo_3 i").html(prepaidPriceUnit+prepaidPrice);


                    var orderNo = info.orderNo;//订单编号
                    var created = format(parseInt(info.created));//下单时间
                    var deadline = format(parseInt(info.deadline));//截止时间
                    var successfulTradeTime = format(parseInt(info.successfulTradeTime));//成交时间
                    var memo = info.memo;//备注
                    var paidBalance = parseFloat(info.paidBalance).toFixed(2)//已付余额
                    var paidBalanceUnit = info.paidBalanceUnit//已付余额单位

                    $(".gtwoth_1 i").html(orderNo);
                    $(".gtwoth_2 i").html(created);
                    $(".gtwoth_3 i").html(deadline);
                    $(".gtwoth_5 i").html(successfulTradeTime);
                    $(".gtwoth_4 i").html(memo);


                    var users = info.user;//用户
                    console.log(users)
                    var userId = users.userId;//用户id
                    var username = users.username;//用户名
                    var phone = users.phone;//用户电话
                    $(".gt_one i").html(username);
                    $(".gt_two i").html(phone)


                    var prepaidTotalAmount = info.prepaidTotalAmount;//预付总价
                    var prepaidTotalAmountUnit = info.prepaidTotalAmountUnit;//预付总价单位
                    $("#pay i").html(paidBalanceUnit+paidBalance)

                }
            });
      }


	
	    //时间戳转换为年月日
	function add0(m) {
		return m < 10 ? '0' + m : m
	}

	function format(shijianchuo) {
		//shijianchuo是整数，否则要parseInt转换
		var time = new Date(shijianchuo);
		var y = time.getFullYear();
		var m = time.getMonth() + 1;
		var d = time.getDate();
		var h = time.getHours();
		var mm = time.getMinutes();
		var s = time.getSeconds();
		return y + '-' + add0(m) + '-' + add0(d) + ' ' + add0(h) + ':' + add0(mm) + ':' + add0(s);
	}
})
function htmlFontSize(){
    var h = Math.max(document.documentElement.clientHeight, window.innerHeight || 0);
    var w = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
    var width = w > h ? h : w;
    width = width > 720 ? 720 : width
    var fz = ~~(width*100000/75)/10000
    document.getElementsByTagName("html")[0].style.cssText = 'font-size: ' + fz +"px";
    var realfz = ~~(+window.getComputedStyle(document.getElementsByTagName("html")[0]).fontSize.replace('px','')*10000)/10000
    if (fz !== realfz) {
        document.getElementsByTagName("html")[0].style.cssText = 'font-size: ' + fz * (fz / realfz) +"px";
    }
}